Subject: Re: IAOC: delegating ex-officio responsibility

From: Olaf Kolkman <[email-masked]>
Date: Mon, 19 Sep 2011 10:05:12 +0200

Brian,

So far you are the only person that has responded with substance. Other feedback was promised but never arrived. I hope to rev this document shortly so that we can finalize it before the Taiwan meeting.

I wrote:
>> Based on the discussion I've updated the draft:
>> http://tools.ietf.org/html/draft-kolkman-iasa-ex-officio-membership
>> 
>> Essentially I incorporated Dave Crocker's proposal to 
>> 1) replace the 'chairs' by voting members appointed by the respective bodies.
>> 2) allow the chairs to participate in all meetings and provide (unsolicited) advice.
>> 
>> I believe that allows chairs to exercise their responsibilities of keeping a coherent perspective of the organization an allow them to steer outcomes if needed, but doesn't require the day-to-day involvement that is required from a diligent voting member.
> 

You responded:

> And it therefore removes the two Chairs' shared responsibility for decisions of
> the IAOC and the IETF Trust. I am still far from convinced that this is a good
> thing.
> 

That is correct, under this proposal the chairs don't have voting responsibilities in the IAOC. And while I argue that the chairs can 'steer' as ex-officio I understand that is something you are either convinced off or not.

> Also, the new section 2.3, which is incorrectly titled but presumably
> is intended to be "IETF Trust membership" seems to me to be inconsistent
> with the Trust Agreement. The Trust Agreement states that the Eligible Persons
> (to become Trustees) are each "a then-current member of the IAOC, duly appointed
> and in good standing in accordance with the procedures of the IAOC established
> pursuant to IETF document BCP 101 [as amended]". That doesn't exclude the
> non-voting members of the IAOC, which is why the IAD is already a Trustee.
> To change this, the Trust would have to change the Trust Agreement. To be clear,
> I'm not saying this can't be done, but it can't be ignored either.

Yes, it is incorrectly titled.

As far as I understand the trust agreement the voting members and the IAD are members of the trust. If the 'chairs' are non-voting members of the IAOC then the idea is that they would not be trustees and a modification of the trust agreement is not needed. That can be clarified.

If the chairs should be trustees (are you arguing that?) then I agree, a trust agreement modification is needed.

--Olaf

________________________________________________________ 

Olaf M. Kolkman                        NLnet Labs
http://www.nlnetlabs.nl/

---

From: Roger Jørgensen <[email-masked]>
Date: Mon, 19 Sep 2011 10:37:17 +0200

On Tue, Jul 26, 2011 at 2:52 PM, Olaf Kolkman <[email-masked]> wrote:
> Dear Colleagues,

I still do not understand the basic problem that trigger/cause that propsal.

Have been alot of discussion and suggestion and problems but nothing
that made me understand why, what is the underlaying cause. (it could
be that I'm just slow, we shouldn't rule that out :-) )

-- 

Roger Jorgensen           |
[email-masked]          | - IPv6 is The Key!
http://www.jorgensen.no   | [email-masked]

---

From: Jari Arkko <[email-masked]>
Date: Mon, 19 Sep 2011 14:01:48 +0300

Roger,

> that made me understand why, what is the underlaying cause.

It is very simple. Both the IAB and IETF chair duties are extensive, and several people believe that it would be useful to provide some freedom not just for the current but also future chairs in how they organize their work. This would probably make the chairs' job a little bit easier, and might even increase the number of people available for these jobs.

It is of course essential that the chairs stay in touch of critical administrative discussions in the IAOC, for instance, but it may not be necessary for them to participate all the time or always be a voting member. (But if a particular chair feels that they want to, they can still be a voting member by having the IAB or IESG appoint them.)

Olaf: /2.3 IAOC membership/2.3 Trust membership/ and s/two member /two members /g

Jari

---

From: Bob Hinden <[email-masked]>
Date: Mon, 19 Sep 2011 15:17:28 +0300

Olaf,

> 2) allow the chairs to participate in all meetings and provide (unsolicited) advice.

There were many comments on your earlier draft and I don't see how these changes resolve all of issues raised.  The new draft is different, but I think the main issues remain.  Could you show how the issues raised are solved by the current draft?

For example, there seemed to me to be a rough consensus in the discussion on the earlier draft that the IETF Chair should not be included in the proposal.  Why did you not remove the IETF chair from the proposal?

> I believe that allows chairs to exercise their responsibilities of keeping a coherent perspective of the organization an allow them to steer outcomes if needed, but doesn't require the day-to-day i…

As I said earlier, I continue to think this is a bad idea.  We now have a system that works well.  Certainly not perfect, but I am concerned your proposed changes will make it work worse.  

In my time as IAOC chair, the I* chairs have been actively involved in the most significant decisions the IAOC makes, they tend to be less active in many of the day to day operational issues.  For example, there are weekly calls in the months before an IETF meeting that the host, NOC team, IAD, host, and other people attend.  I don't think an I* chair has been involved at this level.  Also, the IAOC has several subcommittees (e.g., meetings, budget, specific RFPs, and Tools).  I* chair attendance in these varies.  The IETF chair is very active in the RFP subcommittee and Tools.  The ISOC chair has reduced her attendance in the subcommittees.

I think the I* chairs bring a broad view of the community and operational needs based on what's involved in doing their jobs than other appointees would not have.  In order for the I* chairs to be effective, they will need to be involved.  If they are involved, then they might as well be voting members.  

With the changes you propose we could end up with an IAOC that none of the I* chairs participate.  As you point out, they are all busy and will have a hard time to following the issues if their involvement is optional.  This will result in an IAOC that is disconnected from the community.  

I think it's very important for the I* chairs to share the responsibility for IAOC decisions by being voting members.  Same for the IETF Trust, your proposal would result in the I* chairs not being members of the IETF Trust (unless the Trust was changed, another issue in itself).  

The current structure with the I* chairs being voting members of the IAOC has worked well.  The I* members are involved in the important decisions, share the responsibility for the decisions, and keep the IAOC/IASA connected to the community.  

I am sympathetic to the issue this draft is attempting to resolve, but I think there are better ways to reduce the load we put on the I* chairs, than what this draft proposes.

Bob

---

From: <[email-masked]>
Date: Mon, 19 Sep 2011 12:35:12 +0000

Hi Olaf,

I went through the draft just now, and I have some quite strong feelings
about it. I'm sorry I'm sending my comments so late in the game.

A disclaimer first: I was the chairman of the IAOC some years back, but I
haven't been actively involved with IETF administration after that.
Therefore, my reactions are based on the history, and I don't necessarily
have the up-to-date information of today, anymore.

Anyways, I thank Olaf of bringing up this real problem: the IAOC is a lot
of work measured in time, and effort. At least, when I was there, I think
it was too much work for people who were already busy in so many other
ways.

However, I think the solution is a bit "menemistä perse edellä puuhun" (==
putting the cart before the horse): The IAOC should be a _strategic_ body
that gives a direction for the administration of the IETF. Basically IAOC
is the closest you have to the board of the IETF (financial management,
asset management, management of the operations). Therefore, by design, you
have the stakeholders represented in the body (the main chairs, the
president and CEO of ISOC).

The Trust on the other hand is everything the IETF has (as ownership - the
biggest asset the IETF has is of course the community). It owns the fruits
of the labour of the whole community - the intellectual property that the
community creates. I think it is very clear that the main stakeholders
(the I* chairs) and the main responsible for the administrator of the
trust (the president/CEO of ISOC) have to be trustees and show ownership
of the trust - you just cannot delegate that.

Like said, I understand the problem: The IAOC is a lot of work for people
who already have a lot to do. However, I think that problem should be
managed without reducing the oversight of the IETF leadership over the
IETF financials, assents, and other important activities.

Perhaps, the IAOC should think how to reorganize, and strengthen the
operational part of the IETF to reduce the burden of the IAOC. This might
mean increasing the level of investment to the operations of the IETF to
make sure the IAOC members do not have to be part of the operational
stuff, but can concentrate on making just the strategic decisions and
doing the oversight.

If I would have to summarize this all into one sentence: The workload
problem is a problem only the IAOC can fix, and cannot be done by
reorganizing the IAOC.

Sorry for the long e-mai.

Cheers,

Jonne.

-- 
Jonne Soininen
Renesas Mobile

Tel: +358 40 527 4634
E-mail: [email-masked]

On 9/19/11 11:05 AM, "Olaf Kolkman" <[email-masked]> wrote:

>
>
>Brian,
>
>So far you are the only person that has responded with substance. Other
>feedback was promised but never arrived. I hope to rev this document
>shortly so that we can finalize it before the Taiwan meeting.
>
>I wrote:
>>> I believe that allows chairs to exercise their responsibilities of
>>>keeping a coherent perspective of the organization an allow them to
>>>steer outcomes if needed, but doesn't require the day-to-day
>>>involvement that is required from a diligent voting member.
>> 
>
>You responded:
>
>That is correct, under this proposal the chairs don't have voting
>responsibilities in the IAOC. And while I argue that the chairs can
>'steer' as ex-officio I understand that is something you are either
>convinced off or not.
>
>
>As far as I understand the trust agreement the voting members and the IAD
>are members of the trust. If the 'chairs' are non-voting members of the
>IAOC then the idea is that they would not be trustees and a modification
>of the trust agreement is not needed. That can be clarified.
>
>_______________________________________________
>Ietf mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ietf

---

From: Jari Arkko <[email-masked]>
Date: Mon, 19 Sep 2011 16:10:15 +0300

Bob,

I appreciate your view on this, particularly when you are day-to-day seeing how the current system works with IAOC.

That being said, I do think it is important to give some flexibility to chairs on organizing their work. And it is important to provide tools for them to manage their time, including ability to delegate some tasks.

I understand the point about chairs being involved. But I'm also sure there will never be an IAB/IETF chair who would ignore important IAOC business. This draft is about the ability (but not a requirement) of the chairs to delegate most of the day-to-day business and just stay on for the important stuff. One practical issue is that if the chairs under today's rules would stay out of the day-to-day business, that would mean missing one voting member. I'm not sure that is desirable either, and I really don't think you want to force them to be in every meeting.

I also understand the point about chairs sharing the responsibility for decisions. I just don't think the suggested new scheme would affect that. The IAOC would for sure still listen to a message from the chairs very carefully. And if you are in any board with multiple people having voting power, if the rest of the board ignores your opinion it really doesn't matter if you lost by 1-9 or by 0-9... (and again, any of the chairs would for sure still be behind the decisions anyway.)

Jari

---

From: John C Klensin <[email-masked]>
Date: Mon, 19 Sep 2011 10:02:37 -0400

--On Monday, September 19, 2011 10:37 +0200 Roger Jørgensen
<[email-masked]> wrote:

> Have been alot of discussion and suggestion and problems but
> nothing that made me understand why, what is the underlaying
> cause. (it could be that I'm just slow, we shouldn't rule that
> out :-) )

Roger,

The problem is that, over time, the IAB and IETF Chair positions
have become full time (or more) jobs.   Not only does that
require a huge time commitment, but the roles require a broader
range of skills and interests than are typically present in
members of the IETF community.  That situation, in turn, has
several nasty effects.  As three examples:

-- If there are conflicting priorities and demands on time,
something is going to get less attention than it deserves.  The
right people to decide what is most important in a particular
case are the IAB and IESG, not a six-year-old document that
doesn't allow for individual cases.

-- Unless we have started believing in kings --even kings who,
once elected, serve more or less as long as they are willing
before stepping down-- the IETF Chair should not be lots more
important, nor should we assume he or she is inherently more
skilled in any given matter, than a consensus conclusion of the
IESG.  The IAB Chair should be even less so.  These people are
given roles of leadership and responsibility, not someone
anointed with infinite wisdom and time -- or even absolute
knowledge of what is good for the IETF and the Internet -- at
the time they assume those positions.

-- The pool of plausible candidates for the positions is
significantly reduced because, especially in difficult economic
times, there aren't very many people who can find sufficient
support for a long-term (nominally two years but four or more in
practice) full time commitment plus a large expense account for
a lot of travel, etc.  Unless we want to be in a situation in
which candidates for those positions are selected almost
entirely on the basis of who has the resources, we had better be
looking for ways to reduce the scope of the positions.

While I think Olaf's current proposal is better in several ways
--including the provision that enables the Chairs to participate
as ex-officio members when they think it is appropriate, if you
are interested in a more lengthy discussion of "basic cause",
there is a more extended discussion of the issues (and largely
the same core proposal) in the now-rather-old
http://tools.ietf.org/id/draft-klensin-iaoc-member-00.txt

    john

---

From: Sam Hartman <[email-masked]>
Date: Mon, 19 Sep 2011 11:05:09 -0400

>>>>> "Olaf" == Olaf Kolkman <[email-masked]> writes:

    Olaf> Dear Colleagues,

    Olaf> I have just chartered a very short draft that intends to
    Olaf> update BCP101. It can be found at:
    Olaf> http://tools.ietf.org/html/draft-kolkman-iasa-ex-officio-membership

    Olaf> The draft is very short and contains only a few sentences of
    Olaf> substance:

    Olaf>    The IETF chair, the IAB chair, and the ISOC President/CEO
    Olaf> may delegate their responsibilities to other persons.  The
    Olaf> delegations by the IETF chair and the IAB chair need to be
    Olaf> confirmed by the IESG and IAB respectively.  The terms of
    Olaf> delegation is for a longer term for instance aligned with the
    Olaf> IESG and IAB appointment cycles (roughly anual).

I'm strongly in favor of the principle behind this draft.

Presumably the delegate would be subject to recall through the normal
recall process (as are all IAOC members today except for the ISOC
president)

You should spell out things like whether the delegating IAOC member may
recall their delegation and whether the body (IAB/IESG) may recall the
delegate.

You should consider whether the IAOC needs to accept the delegate.

I think the above issues should be considered.
No specific results to the consideration of those issues would be
blocking for me. I think this is a great idea!

I do think a mechanism like this could be used badly. So we should be
responsible:-)

---

From: Marshall Eubanks <[email-masked]>
Date: Mon, 19 Sep 2011 11:34:08 -0400

On Mon, Sep 19, 2011 at 11:05 AM, Sam Hartman <[email-masked]> wrote:

>    Olaf>

Note that the current draft does not mention the word delegate, except to
note that it was removed.
These would be full members, with the full fiduciary responsibility of
membership. That means, for example, that
they might feel compelled to vote against the desires of their nominating
body.

Recall is not mentioned by the draft, and thus it would follow the rules of
BCP 101 and RFC 3777. Note that, according to
BCP 101

"IAOC members are

   not, however, subject to recall by the bodies that appointed them."

This draft does not change that.

> You should consider whether the IAOC needs to accept the delegate.

These would be full members, neither the IAOC nor the Trust would have any
discretion in accepting them.

Regards
Marshall

---

From: "Spencer Dawkins" <[email-masked]>
Date: Mon, 19 Sep 2011 10:35:54 -0500

For what it's worth, I largely agree with John's statement of the 
justification for Olaf's proposal.

Anything that the IETF can do, to make the IAB and IETF Chair positions less 
of a full-time (or more) job, is a good thing.

I could be in the rough on whether this specific proposal is the right thing 
to do, but I'd feel better about rejecting it if the people who insisted 
that the IAOC and IETF Trust responsibilities could not be delegated, could 
make a counteroffer on how the overall workload for these positions could be 
reduced in a way that IS acceptable.

It would be helpful if we could organize to reduce the time commitment for 
these roles. If not these responsibilities, what?

Tugging at the various corners of a full-size fitted sheet on a queen-sized 
bed doesn't actually result in completely covering the mattress - it only 
wears out the sheet!

Spencer

p.s. in the interests of full disclosure, I am mentioned in the 
acknowledgements section of the draft John mentioned in his post, along with 
Joel Halpern, but I had completely forgotten about that until I saw my name 
:-)

---

From: Sam Hartman <[email-masked]>
Date: Mon, 19 Sep 2011 12:11:02 -0400

I think the draft would be improved by explicitly considering these
issues and not remaining silent, even if the decision is to say that
"these are full members; existing processes for recall etc apply; at the
time of writing that means blah."  I think that would lead to better
discussion and review of these issues than remaining silent.

I don't have a particular problem if the answer is that the recall
procedure can be used, these people can vote against the interests of
the person whose place they are taking, the IAOC need not accept them,
etc.  I would prefer the issues be discussed by the community and that
written down, possibly in a non-normative section rather than the draft
remain silent.  I would strongly prefer that if we restate things
implied from other documents we do so in a non-normative manner.

Again, my primary point remains this is a great idea!

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 19 Sep 2011 10:17:04 -0700

On 9/19/2011 8:35 AM, Spencer Dawkins wrote:
> Anything that the IETF can do, to make the IAB and IETF Chair positions less of
> a full-time (or more) job, is a good thing.

Anything?  I believe you do not believe that statement, but I think it 
accurately summarizes the focus of this thread, so far.

The problem is with how absolute your language is.  It declares one criterion as 
entirely dominating all others.

What is needed is to consider this issue in terms of tradeoffs.  So far, the 
thread hasn't, except a bit dismissively.

The issue that Bob has raised about the special capabilities of I* folk within 
IAOC discussions is not minor.  Unfortunately, it does seem to be a bit subtle. 
  For example, it took me awhile to understand. (We can count that as a weak 
proof...)  Equally, how it gets applied is subtle.

It seems to be important spontaneously.  So, for example, a view that the I* 
will "get involved" in discussions where their perspectives are needed is based 
on an inaccurate model of how and when those perspectives come into play.  It 
presumes the ability to plan for the need.  But what really happens is that most 
IAOC discussions need to wander over a broad range of issue and sometimes when 
they do, they trigger a connection in an I* member due to their perspective. 
Such triggers cannot be planned.

I don't know how to resolve this with a high level of certainty and safety.  So 
I made a guess.

The proposal that Olaf has put forward is one attempt, by way of keeping I* 
Chairs involved, but relying on them less to attend every discussion and carry 
all the detail.

Whether that's produces a sufficient balance is an open question.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Marshall Eubanks <[email-masked]>
Date: Mon, 19 Sep 2011 14:04:50 -0400

Dear Spencer;

On Mon, Sep 19, 2011 at 11:35 AM, Spencer Dawkins <[email-masked]
> wrote:

> Anything that the IETF can do, to make the IAB and IETF Chair positions
> less of a full-time (or more) job, is a good thing.
>
> I could be in the rough on whether this specific proposal is the right
> thing to do, but I'd feel better about rejecting it if the people who
> insisted that the IAOC and IETF Trust responsibilities could not be
> delegated, could make a counteroffer on how the overall workload for these
> positions could be reduced in a way that IS acceptable.
>
>
There are two broad issues with delegation as I see it :

- New Trust "members" have to be full Trustees, with a fiduciary
responsibility to protect the Trust's (and the IETF's) assets. In other
words, these new Trustees represent their appointing body, but they are not
mere liaisons from it. This is very clear for the Trust, and I would argue
it should also be the case for the IAOC. This is just a detail, but an
important one.

- If the IAOC or the Trust requires knowledge of IESG or IAB plans,
intentions, thinking, etc.. the new member / Trustee will not have the
knowledge of the corresponding I* Chair. This will lower the efficiency of
the IAOC and Trust, almost proportionally to the time saved. (If the I*
chair is in every meeting, then there is no loss of efficiency but also no
savings of time.) If the loss of efficiency is bad enough, this may not be
sustainable.

I, for one, would be willing to try the experiment (assuming I am returned
to the IAOC / Trust and that the details are all worked out) and see how it
goes.

Regards
Marshall

>> http://tools.ietf.org/id/**draft-klensin-iaoc-member-00.**txt<http://tools.ietf.org/id/draft-klensin-iaoc-member-00.txt>
>>
>>   john
>>
>>
>>
>> ______________________________**_________________
>> Ietf mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/**listinfo/ietf<https://www.ietf.org/mailman/listinfo/ietf>
>>
>>
> ______________________________**_________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/ietf<https://www.ietf.org/mailman/listinfo/ietf>
>

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 19 Sep 2011 11:16:24 -0700

On 9/19/2011 11:04 AM, Marshall Eubanks wrote:
> - If the IAOC or the Trust requires knowledge of IESG or IAB plans, intentions,
> thinking, etc.. the new member / Trustee will not have the knowledge of the
> corresponding I* Chair.

I meant to explain the subtlety about the I* perspective that took me awhile to 
understand:

    I initial assumed their contribution was insight about the respective I* 
body.  On that basis, having another member from that same body ought to be 
reasonable.

    What I've found, instead, is that specifically the chairs have a much 
broader perspective and offer comments on on IETF and non-IETF /community/ 
issues that a random member of their body is not likely to have.

So Marshall's point has some validity, but the loss is likely to be much more 
significant than that.  This is why keeping I* "involvement" is essential, IMO.

d/
-- 

   Dave Crocker

---

From: Sam Hartman <[email-masked]>
Date: Mon, 19 Sep 2011 14:35:01 -0400

>>>>> "Dave" == Dave CROCKER <[email-masked]> writes:

    Dave> On 9/19/2011 8:35 AM, Spencer Dawkins wrote:
    >> Anything that the IETF can do, to make the IAB and IETF Chair
    >> positions less of a full-time (or more) job, is a good thing.

    Dave> Anything?  I believe you do not believe that statement, but I
    Dave> think it accurately summarizes the focus of this thread, so
    Dave> far.

    Dave> The problem is with how absolute your language is.  It
    Dave> declares one criterion as entirely dominating all others.

Dave, thanks for a very thoughtful response to the issue.  I think you
brig up s that we should carefully consider.  I believe that I had
considered issues generally similar to yours before indicating support
for the proposal.  I've considered your specific concerns and that does
not change my belief that providing the IAB and IETF chairs this tool is
a good idea.  I think they should be evaluated in part on whether they
use the tool responsibly, but I'm happy to trust them to do so.

However I do believe these are important things to think about.

---

From: Jari Arkko <[email-masked]>
Date: Mon, 19 Sep 2011 21:36:19 +0300

Jonne,

First, I want to thank you for the clear expression in Finnish. (Maheeta! Vaikka näiden muutosten läpivienti alkaa kyllä tuntua siltä kuin jäitä polttelisi, saa odottaa perse ruvella että kukaan olisi samaa mieltä mistään, 'kele!) Too bad the English version was not as graphic.

Anyway, I like your description of the issue and it helps me understand the concerns. That being said, I could probably construct a similar argument for all of the bodies that an IETF chair, for instance, has to attend. Are we really saying that under all circumstances, the chairs have to attend everything that IAOC deals with? And be voting members? And if that is too much then the entire IAOC has to delegate more of its work? Really? And if the chairs have to be voting members in IAOC, why aren't they voting members in IAB and IESG?

I have some trust in the chairs ability to prioritize, delegate and engage in the important discussions.

I do like your idea that IAOC itself needs to work smarter though. It should really be just a board, not the guys doing the actual work. As an outsider, it sometimes feels like you guys are doing too much. In any case, if you and Bob think this would be a good direction for the IAOC to take, can you comment how feasible it is? Has it been tried, could it be tried? (And shouldn't it already be done if it was easy?)

Jari

---

From: John C Klensin <[email-masked]>
Date: Mon, 19 Sep 2011 14:49:21 -0400

--On Monday, September 19, 2011 14:04 -0400 Marshall Eubanks
<[email-masked]> wrote:

>> For what it's worth, I largely agree with John's statement of
>> the justification for Olaf's proposal.
>> 
>...

> - New Trust "members" have to be full Trustees, with a
> fiduciary responsibility to protect the Trust's (and the
> IETF's) assets. In other words, these new Trustees represent
> their appointing body, but they are not mere liaisons from it.
> This is very clear for the Trust, and I would argue it should
> also be the case for the IAOC. This is just a detail, but an
> important one.

Marshall, I agree that this is a detail.  I agree that it is an
important one.  However, I also note that the window during
which we could not make changes to the Trust agreement closed
some time ago.  More important, if we get to the point at which
the Trust and/or IAOC tails have started to wag the IETF dog, we
are, IMO, in rather serious trouble... and certainly outside the
original intent for either one.

> - If the IAOC or the Trust requires knowledge of IESG or IAB
> plans, intentions, thinking, etc.. the new member / Trustee
> will not have the knowledge of the corresponding I* Chair.
> This will lower the efficiency of the IAOC and Trust, almost
> proportionally to the time saved. (If the I* chair is in every
> meeting, then there is no loss of efficiency but also no
> savings of time.) If the loss of efficiency is bad enough,
> this may not be sustainable.

FWIW, I don't think this follows.  My earlier proposal required
the IAB and IESG appointees to be IAB and IESG members, just not
necessarily the Chairs.  The current proposal creates that
option, but doesn't require it.  Even if someone other than a
sitting IAB or IESG member is chosen, it would be entirely
reasonable for the IAB or IESG to choose a recently-departed
member, a scribe, or something else they have invited to sit in
on their meetings.  In addition, while Russ was already a
sitting IESG member when selected as IETF Chair, that has not
been the historical norm: I haven't gone back and checked the
data, but I believe the majority of post-Kobe IETF Chairs have
not been IESG members when appointed.  If so, for at least the
first few months after the first IETF of a calendar year, a
separate appointment might actually give the IAOC and Trust more
continuity and knowledge of IESG thinking than dropping a
brand-new Chair into the job.

While I think it would be reasonable to add a few paragraphs to
this proposal reminding the IESG, IAB, and ISOC how important
continuity of knowledge is, I think we can actually trust all
three of those bodies to figure that out and act sensibly.  Do
you disagree?

I didn't mention it explicitly in my earlier note but I think we
should consider the possibility that this isn't just an "unload
the chairs" proposal.  It is also a "improve the effectiveness
of the IAOC and Trust by having more people in voting seats who
have the time, interest, and ability to pay full attention...
perhaps more than the various Chairs have had. 

>...

best,
    john

---

From: "Spencer Dawkins" <[email-masked]>
Date: Mon, 19 Sep 2011 14:26:57 -0500

Hi, Dave,

>> less of

Thanks for the wake-up call, of course. Now, it's Monday AFTERNOON in my 
time zone.

I am carefully reading the notes that were posted after I posted. I noticed 
that John Klensin says "not JUST an offload proposal" - and I get that - and 
I hadn't fully grokked the "fiduciary responsibility" point Marshall made. 
So, yes, I overspoke.

Like I said - I'm fine being in the rough on this proposal, but I would like 
us to think about "if not this, what gets offloaded?"

Spencer

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 19 Sep 2011 12:50:32 -0700

On 9/19/2011 12:26 PM, Spencer Dawkins wrote:
> but I would like us to think about "if not this, what gets offloaded?"

+1

There is a real problem to solve.  I* folk are, in fact, seriously overloaded.

Besides being inherently unreasonable, it makes it harder to find candidates for 
the jobs...

d/
-- 

   Dave Crocker

---

From: John C Klensin <[email-masked]>
Date: Mon, 19 Sep 2011 15:55:19 -0400

--On Monday, September 19, 2011 14:26 -0500 Spencer Dawkins
<[email-masked]> wrote:

>> Anything?  I believe you do not believe that statement, but I
>> think it  accurately summarizes the focus of this thread, so
>> far.
>...
> I am carefully reading the notes that were posted after I
> posted. I noticed that John Klensin says "not JUST an offload
> proposal" - and I get that - and I hadn't fully grokked the
> "fiduciary responsibility" point Marshall made. So, yes, I
> overspoke.
> 
> Like I said - I'm fine being in the rough on this proposal,

I'm not willing to try to defend "anything".  But I'd suggest
two other observations as we are thinking about tradeoffs:

(1) Is the larger perspective on strategic issues associated
with the IETF and IAB Chairs (I'm not prepared to speak to the
ISOC situation, which I think may be a little different)
inherent in either the people who are selected for those jobs or
in the fact that they hold those jobs?  (Remember that, while
there are extensive religious and magical traditions associated
with specific powers passing to a new King along with the crown
or other symbols of office, we've never made claims like that
around the IETF, at least yet.)   If the answer is, as I believe
it is, really "no, not inherent, those people acquire that
perspective as part of doing their jobs", then aren't we better
off trying to get others to acquire the same level of
perspective?   After all, it would provide some protection
against truck fade (or even vacations) of the Chairs and some
disruption-reducing training for possible succession, so that is
part of the tradeoff too.

FWIW, in my tenures on the IESG and IAB, there were often folks
who had a lot less long-term perspective on those bodies, the
IETF, and the Internet than the Chairs and some who had as much
or more.  Unless we are willing to make the magical assumption,
I don't think "Chair has knowledge and perspective, no one else
is likely to" is really justified as a presumption, even though
it could be a reasonable consideration when looking at tradeoffs.

(2) As a different tradeoff to think about, suppose we answer
Spencer's question with "nothing gets offloaded" because, for
every single responsibility we have placed on the Chairs (or
they, in their reasonable judgment of the best interests of the
community, have taken on themselves) someone can make a
plausible argument about why one Chair or the other is the
best-qualified to do it.  Now suppose the IAB looks around for
its next Chair and says "who has the resources to do this" and
gets dead silence?  Or the Nomcom looks around for IETF Chair
candidates, asks for volunteers, and gets no one who has the
resources and is even plausibly acceptable (to make that
exercise particularly lurid, assume that all of the volunteers
are members of your favorite pool of trolls and/or residents of
some other planet)?  My impression is that we've come pretty
close to one or both of those scenarios, with a few available
choices but not many.   But, if we were to actually get there
what happens?   I don't know the answer other than being pretty
sure that such problems are better prevented than solved once
the crisis has occurred.

Again, I see both as tradeoffs, not absolutes, and I won't say
"do anything".  But I see those scenarios as sufficiently scary
and sufficiently plausible that it wouldn't take much to get me
to "almost anything".

    john

---

From: Lucy Lynch <[email-masked]>
Date: Mon, 19 Sep 2011 13:20:42 -0700 (PDT)

On Mon, 19 Sep 2011, Spencer Dawkins wrote:

> Thanks for the wake-up call, of course. Now, it's Monday AFTERNOON in my time 
> zone.
>

As a former IAOC chair there is another set of questions I would ask here:
Who picks up the load? How might this change community dynamics and
expectations around IAOC/Trust related work items?

Some of the business related decisions that the IAOC must make are already 
quite contentious and delegation won't help. Finding volunteers willing to 
step up to "chair like" responsibility is already hard. I suspect that 
this will put additional pressure on the IAOC and IETF Trust chairs as 
well as the volunteers who step into the IETF/IAB seats.

For better or worse the IAOC is seen as a housekeeping function but, as 
Jonne and Marshall have pointed out, there are serious responsibilities 
and major assets under management here. The existing balance of leadership 
and community participation has worked well. Swapping in other IESG or IAB 
members may serve as well, but this just adds load to another set of 
over-burdened folk. Moving to a system that is largely drawn from the 
broader community may have unexpected results for both the IAOC and the 
volunteers. If the community adopts this new model we must also be willing 
to ensure that the very best candidates have an incentive to pick up the 
administrative burdens. There is not a lot of glory and a fair amount of 
pain associated with the IAOC work and we could quickly find ourselves 
with a shortage of folks willing to "do the dishes" unless we find ways to
support and reward this kind of community service.

- Lucy

---

From: SM <[email-masked]>
Date: Mon, 19 Sep 2011 13:22:54 -0700

At 01:05 19-09-2011, Olaf Kolkman wrote:
>As far as I understand the trust agreement the 
>voting members and the IAD are members of the 
>trust. If the 'chairs' are non-voting members of 
>the IAOC then the idea is that they would not be 
>trustees and a modification of the trust 
>agreement is not needed. That can be clarified.

The IETF Administrative Director serves, ex 
officio, as a non-voting member of the IAOC.  He 
is still considered as part of the IAOC 
membership and is an eligible person.  As such he 
is permitted to become a Trustee.  Section 2.1 of 
draft-kolkman-iasa-ex-officio-membership-01 states that:

   "They are not members of the Trust."

Section 2.3 of the draft defines who are the 
trustees.  The IAD makes the matter somewhat 
complicated if you want the fix to be through BCP 
101. I suggest asking the IETF Counsel for advice about the correct fix.

Section 2.1 mentions that:

   "They are explicity invited to all of the IAOC and Trust activities,
    including executive sessions, and have the right to advice, solicited
    or not."

The IETF Trust side may be a problem.  Once 
again, I suggest asking IETF Counsel for advice.

The IETF Trust monthly meetings last around 15 
minutes.  Given that it is the body responsible 
for handling DMCA Take Down Notices (curiously, 
the IAOC seems to be dealing with that), it is 
hard to say whether it is important or not for 
the IAB Chair, the IETF Chair and the ISOC President to be trustees.

At 05:17 19-09-2011, Bob Hinden wrote:
>For example, there seemed to me to be a rough 
>consensus in the discussion on the earlier draft 
>that the IETF Chair should not be included in 
>the proposal.  Why did you not remove the IETF chair from the proposal?

If I recall correctly, Russ said that he can put in the time.

>With the changes you propose we could end up 
>with an IAOC that none of the I* chairs 
>participate.  As you point out, they are all 
>busy and will have a hard time to following the 
>issues if their involvement is optional.  This 
>will result in an IAOC that is disconnected from the community.
>
>I think it's very important for the I* chairs to 
>share the responsibility for IAOC decisions by 
>being voting members.  Same for the IETF Trust, 
>your proposal would result in the I* chairs not 
>being members of the IETF Trust (unless the 
>Trust was changed, another issue in itself).

If I understand the argument, it is about having 
the I* chairs share the responsibility through their vote.

draft-kolkman-iasa-ex-officio-membership-00 was 
based on delegation.  This revision gives the I* 
chairs the same standing as the IAD.

>president and CEO of ISOC).

This is odd.  IASA was described as an 
administrative support structure.  The above 
argues that it should act as a board of the 
IETF.  It looks like two diametrically opposed 
perspectives.  I don't think that the IAOC is the 
right forum to decide on policies about compliance with government regulations.

At 06:10 19-09-2011, Jari Arkko wrote:
>I understand the point about chairs being 
>involved. But I'm also sure there will never be 
>an IAB/IETF chair who would ignore important 
>IAOC business. This draft is about the ability 
>(but not a requirement) of the chairs to 
>delegate most of the day-to-day business and 
>just stay on for the important stuff. One 
>practical issue is that if the chairs under

Appendix A.1 lists a change from a delegation model to ex-officio non-voting.

>recall their delegation and whether the body (IAB/IESG) may recall the

The bodies which appointed IAOC members cannot recall them.

A Recall is a strong action.  Given that the IAOC 
makes decisions by committee, it would be 
difficult to pinpoint the responsibility for a 
decision on an individual.  You can always recall 
the IAOC Chair.  However, I'll point out that he 
has one vote and there isn't much he can do if 
the majority is against him.  The IAOC does not require consensus.

At 11:04 19-09-2011, Marshall Eubanks wrote:
>- If the IAOC or the Trust requires knowledge of 
>IESG or IAB plans, intentions, thinking, etc.. 
>the new member / Trustee will not have the 
>knowledge of the corresponding I* Chair. This 
>will lower the efficiency of the IAOC and Trust, 
>almost proportionally to the time saved. (If the 
>I* chair is in every meeting, then there is no 
>loss of efficiency but also no savings of time.) 
>If the loss of efficiency is bad enough, this may not be sustainable.

This is an interesting point.  Bob Hinden was 
appointed by the IAB and Ole Jacobsen was 
appointed by the IESG.  They are not members of 
the IAB or the IESG.  As such they may not be 
aware of the intentions or thinking of these two 
bodies (please feel free to correct me).

At 11:16 19-09-2011, Dave CROCKER wrote:
>I meant to explain the subtlety about the I* 
>perspective that took me awhile to understand:
>
>    I initial assumed their contribution was 
> insight about the respective I* body.  On that 
> basis, having another member from that same body ought to be reasonable.
>
>    What I've found, instead, is that 
> specifically the chairs have a much broader 
> perspective and offer comments on on IETF and 
> non-IETF /community/ issues that a random 
> member of their body is not likely to have.

And this brings us back to the current 
situation.  Section 1 of the draft mentions that:

   "On the other hand, a lot of the IAOC work is 'business as usual' and
    presence of I-Chairs is not always required if it were not for the
    reasonable due dilligence requirements that come with being a voting
    member."

Bernard Aboba is the (new) IAB Chair.  He was 
once a member of the IAB.  As this is the IETF 
politics mailing list, I gather there isn't a 
requirement for absolute political 
correctness.  Ignoring the individual angle, I 
assume that the new IAB Chair would have a less 
broad perspective as he is new to the job.

RFC 4071 was published in April 2005.  Olaf has 
been IAB Chair from 2007 to 2011.  Russ has been 
IETF Chair for the same period.  They should have 
a broader perspective of the community issues.

>three of those bodies to figure that out and act sensibly.  Do

If the continuity of knowledge is to be embodied 
by Olaf and Russ, I think that it can be a 
problem for the IETF in the long run.

Look at one of the arguments from a different 
perspective, it could be put as having five 
voting members of the IAOC who cannot prevent the 
IAOC from being disconnected with the community.

Regards,
-sm

---

From: Jari Arkko <[email-masked]>
Date: Mon, 19 Sep 2011 23:37:01 +0300

John,

> is likely to" is really justified

This is also my view.

The chairs are always very experienced (and I would expect them to be). I only have seen the workings of the IESG, but in general, there is always a mixture of people with different experiences in the organization. As a datapoint, there are 3 people in the current IESG with >5 years on the job and 3 people with half a year on the job (see http://www.arkko.com/tools/admeasurements/stat/adterm_4.html), and outside the IESG I count 10 people who are still active in the IETF with >5 years of IESG experience. Many of these people have experience from various other bodies inside and outside the IETF. And it could well be that a newbie to the IESG has far better views and experience about a administrative issues or even regular IETF attendee worries than someone who has dealt with the technical stuff for a long time in the IESG.

I'd say there is enough expertise and experience to pick other people as well. For sure. Don't worry about it.

Jari

---

From: <[email-masked]>
Date: Mon, 19 Sep 2011 21:00:41 +0000

Hi Jari,

On 9/19/11 9:36 PM, "Jari Arkko" <[email-masked]> wrote:

>Jonne,
>
>First, I want to thank you for the clear expression in Finnish. (Maheeta!
>Vaikka näiden muutosten läpivienti alkaa kyllä tuntua siltä kuin jäitä
>polttelisi, saa odottaa perse ruvella että kukaan olisi samaa mieltä
>mistään, 'kele!) Too bad the English version was not as graphic.

Mun mielestäni tämä homma on menossa väärään suuntaan ja ihan reisille.
Pitää funtsia, mitä ollaan korjaamassa, jottei heitetä lapsia pesuveden
mukana. 

I wish people good luck trying to use machine translate all this..

>
>Anyway, I like your description of the issue and it helps me understand
>the concerns. That being said, I could probably construct a similar
>argument for all of the bodies that an IETF chair, for instance, has to
>attend. Are we really saying that under all circumstances, the chairs
>have to attend everything that IAOC deals with? And be voting members?
>And if that is too much then the entire IAOC has to delegate more of its
>work? Really? And if the chairs have to be voting members in IAOC, why
>aren't they voting members in IAB and IESG?
>

Jari, it is a bit difficult to say what other groups (outside their own)
the I* chairs have to attend. However, I don't think I said people have to
go to every single meeting or be active in everything that IAOC decides to
do. Already when I was in the IAOC, the work was organized (at least
partly) into committees. Not everybody was active in every committee. So,
you don't have to be involved in everything in the IAOC. In addition, you
make it sound like we would have made people be active in the IAOC at gun
point. Those instances were few and far apart!

Actually, already then some things were being delegated. For instance, we
had Greg Kapfer (CFO of ISOC) in the finance committee representing (in a
sense of the word) ISOC.

I want to be very clear: Sometimes it is just fine to delegate work. I
think this is a completely internal matter for the IAOC to think how they
organize themselves as long as the things get done. I actually think they
should delegate more of the operational work!

However, I don't think it is appropriate to delegate responsibility.
Moving the chairs and the CEO/President of ISOC to a non-voting position
is just that.

>
>I do like your idea that IAOC itself needs to work smarter though. It
>should really be just a board, not the guys doing the actual work. As an
>outsider, it sometimes feels like you guys are doing too much. In any
>case, if you and Bob think this would be a good direction for the IAOC to
>take, can you comment how feasible it is? Has it been tried, could it be
>tried? (And shouldn't it already be done if it was easy?)

Just answering one of your questions above, but I just wanted to tie it to
this thing here as well. You asked if the whole IAOC has to re-prioritize
if the chairs are overwhelmed. I think your question is wrong.
Theoretically, the IAOC should concentrate on doing decisions on the
direction of the administration of the IETF. This means approving the
budget, approving meetings, etc. There are few decisions to be made for
the IETF, but those decisions are extremely important. However, there are
multiple reasons why the IAOC is still very involved in the details.
Partly this is also because the community expects them to be on top of
many details with little importance - even on the frequency and the size
of the cookie service during an IETF meetings. There are other reasons as
well, of course.

Cheers,

Jonne.

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 20 Sep 2011 10:30:07 +1200

On 2011-09-19 20:05, Olaf Kolkman wrote:
<snip>

> If the chairs should be trustees (are you arguing that?) then I agree, a trust agreement modification is needed.

The Trust Agreement and *only* the Trust Agreement defines who
is a Trustee. At the moment it says that members of the IAOC
under BCP 101 are Trustees, without any qualification such as
"voting". So if we make the I* Chairs non-voting members of
the IAOC by formally updating BCP 101, the I* Chairs would
remain as Trustees. Since that is (in my experience) a large
part of an IAOC member's time commitment, the problem you're
trying to solve would not be solved, IMHO, unless the Trust
amended the Trust Agreement too. That's all I wanted to point out.

    Brian

---

From: Jorge Contreras <[email-masked]>
Date: Mon, 19 Sep 2011 17:58:58 -0500

> are members of the trust. If the 'chairs' are non-voting members of the IAOC
> then the idea is that they would not be trustees and a modification of the
> trust agreement is not needed. That can be clarified.
> >

Brian's interpretation is correct.  If someone is an IAOC member, voting or
not, then he/she is a Trustee with full fiduciary duties.  To change this,
the Trust Agreement would need to be amended.

---

From: Henk Uijterwaal <[email-masked]>
Date: Tue, 20 Sep 2011 08:43:49 +0200

On 20/09/2011 00:30, Brian E Carpenter wrote:

[...] the I* Chairs would
> amended the Trust Agreement too. That's all I wanted to point out.

My experience is different: the Trust is little work on average but there
are huge spikes, in particular when legal provisions are being discussed.
However, there are issues that are typically also discussed in the IESG
or IAB, the I* chairs are already involved with their I* hat, and the
additional workload to discuss it in the Trust is small.

Henk

-- 
------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk(at)uijterwaal.nl
                                          http://www.uijterwaal.nl
                                          Phone: +31.6.55861746
------------------------------------------------------------------------------

There appears to have been a collective retreat from reality that day.
                                 (John Glanfield, on an engineering project)

---

From: Olaf Kolkman <[email-masked]>
Date: Tue, 20 Sep 2011 12:51:03 +0200

Thanks Bob,

I appreciate your thoughts on the matter!

> For example, there seemed to me to be a rough consensus in the discussion on the earlier draft that the IETF Chair should not be included in the proposal.  Why did you not remove the IETF chair fro…

I did not see that rough consensus, but let us not argue that, I believe it is up for Jari to say were the consensus is.

To the substance of that point: there is an argument to be made that if the IETF Chair has full voting power than the IAB chair should so to. I believe that it is beneficial for the organization if there is some symmetry there. 

For completeness, and in relation to that symmetry argument.  Jari wrote in another mail:
> And if the chairs have to be voting members in IAOC, why aren't they voting members in IAB and IESG?

The IETF Chair is voting (full) member of the IAB (see section 1.1 of RFC 2850)
The IAB Chair is ex-officio member of the IESG (see RFC3710 section 2) but for Decision making the IAB chair is excluded from the consensus process (RFC3710 section 3.1 2nd paragraph). The obvious reason for that is that the IAB is in the appeal chain.

> As I said earlier, I continue to think this is a bad idea.  We now have a system that works well.  Certainly not perfect, but I am concerned your proposed changes will make it work worse.

At some point I'd be perfectly happy to agree to disagree on the merit of the idea. But I want to understand the motivation and make sure there is nothing actionable on my side.

> In my time as IAOC chair, the I* chairs have been actively involved in the most significant decisions the IAOC makes, they tend to be less active in many of the day to day operational issues.  For…

There is no requirement that members of committees are IAOC members, is there?

> With the changes you propose we could end up with an IAOC that none of the I* chairs participate.  As you point out, they are all busy and will have a hard time to following the issues if their inv…

I do not buy that argument. If the I* chairs are vital for the connect with the community we have a different problem.

It is important for the I* chairs to be connected with the community.
It is important for the IAOC to be connected with the community.
It is important for the I* chairs to be informed about what is happening in the IAOC
It is important for the IAOC to be informed about what the I* chairs find important.

> I think it's very important for the I* chairs to share the responsibility for IAOC decisions by being voting members.  

Why?

> Same for the IETF Trust, your proposal would result in the I* chairs not being members of the IETF Trust (unless the Trust was changed, another issue in itself).  
> 

It would help if you would share those ideas. 

--Olaf

---

From: John C Klensin <[email-masked]>
Date: Tue, 20 Sep 2011 07:05:32 -0400

--On Monday, September 19, 2011 17:58 -0500 Jorge Contreras
<[email-masked]> wrote:

>...
> Brian's interpretation is correct.  If someone is an IAOC
> member, voting or not, then he/she is a Trustee with full
> fiduciary duties.  To change this, the Trust Agreement would
> need to be amended.

Once again, the provisions that make amending the Trust
Agreement particularly problematic have expired.  Let's figure
out what the Right Thing is to do from the standpoint of the
IETF and the community, then figure out what needs to be fixed
up and and fix it.  Making decisions on the basis of, e.g., not
modifying the Trust Agreement, even when contrary decisions are
in the best interests of the IETF and the broader community
would violate the fundamental requirements that the IASA and,
insofar as it is separate, the Trust, serve the best interests
of the IETF and the Community.  

Regardless of what is said about fiduciary duties, I believe
that if the Trust or its membership ever start to believe that
the Trust has interests separate from the interests of the IETF
(including that "make the Internet work better" goal) and an
obligation to favor those Trust interests over the IETF one,
then we would have a really serious problem in need of fixing.

   john

---

From: Marshall Eubanks <[email-masked]>
Date: Tue, 20 Sep 2011 12:25:15 -0400

Dear Brian, Olaf;

On Mon, Sep 19, 2011 at 6:30 PM, Brian E Carpenter <
[email-masked]> wrote:

> "voting".

The Trust Agreement is at
http://iaoc.ietf.org/docs/IETF-Trust-Agreement-Executed-12-15-05.pdf

It says (Section 3.1) that "Eligible persons" are those IAOC members

"duly appointed and in good standing in accordance with the procedures of
the IAOC established pursuant to IETF document BCP 101, RFC 4071 (April
2005), and any duly approved successor documents, updates, or amendments
thereto."

The draft says

 This document updates BCP101 <http://tools.ietf.org/html/bcp101>
([RFC4071 <http://tools.ietf.org/html/rfc4071>] and [RFC4371
<http://tools.ietf.org/html/rfc4371>]).

Assuming it goes forward, it would thus eventually become an update or
amendment to BCP101, and so by just changing who the IAOC members are, and
thus who the Trustees are, would NOT IMO require a change to the Trust
Agreement. It would be automatic.

All Trustees are currently voting trustees. I would note that the ISOC Board
of Trustees has at least one non-voting Trustee, and the Trust Amendment
could in theory be modified in a similar fashion. (Modifying the TA can now
be done with a majority vote of the Trustees currently in office.)

However, the Trust Agreement (TA) is a legal document. I would not underrate
the difficulty (and legal expense) of modifying it, and of not introducing
bugs while modifying it. Even though the Trustees _can_ now do this, I would
not actually do it if avoidable, and I think that it is in this case.

Note that the Trust Agreement says almost nothing about meetings. The Trust
Administrative Procedures (TAP) could easily be modified to allow for
permanent Ex-Officio liaisons, and the TAP is not a legal document of the
same standing as the TA.

So, what I would recommend is that

- Olaf's draft create new IAOC members with full powers, as it currently
does. These would, assuming the draft progresses, automatically become
Trustees, without any modification of the Trust Agreement.

- Olaf's wording be changed to make the IAB Chair, IETF Chair and ISOC CEO
into ex-officio and non-voting Liaisons to the IAOC and the Trust.

- The TAP then be modified to recognize the status of these new ex-officio
and non-voting Liaisons. These Liaisons are not IAOC members, thus not
Trustees.

With this procedure, I see no reason to modify the Trust Agreement.

Regards
Marshall

> So if we make the I* Chairs non-voting members of

---

From: Olaf Kolkman <[email-masked]>
Date: Tue, 20 Sep 2011 19:44:22 +0200

On Sep 20, 2011, at 6:25 PM, Marshall Eubanks wrote:

> 
> - Olaf's wording be changed to make the IAB Chair, IETF Chair and ISOC CEO into ex-officio and non-voting Liaisons to the IAOC and the Trust. 
> 
> - The TAP then be modified to recognize the status of these new ex-officio and non-voting Liaisons. These Liaisons are not IAOC members, thus not Trustees. 
> 

I would not call them liaisons (as they do not liaise) but advisors. 

> With this procedure, I see no reason to modify the Trust Agreement. 

The Trust would need to commit to allowing these advisors to join their meetings too. But that can be done in other ways than the Trust Agreement.

(so yes, I agree with this line of thought)

Obviously this all assumes there is a consensus for changing the I* chairs role

--Olaf

---

From: Marshall Eubanks <[email-masked]>
Date: Tue, 20 Sep 2011 14:12:44 -0400

On Tue, Sep 20, 2011 at 1:44 PM, Olaf Kolkman <[email-masked]> wrote:

> > - Olaf's wording be changed to make the IAB Chair, IETF Chair and ISOC
> CEO into ex-officio and non-voting Liaisons to the IAOC and the Trust.
> >
> > - The TAP then be modified to recognize the status of these new
> ex-officio and non-voting Liaisons. These Liaisons are not IAOC members,
> thus not Trustees.
> >
>
WFM

> The Trust would need to commit to allowing these advisors to join their
> meetings too. But that can be done in other ways than the Trust Agreement.
>

Yes. And that should include prior agreement by the Trustees to make this
change. (As with any last call, if the Trustees have objections,
they should be dealt with before the RFC is published.)  I would be glad to
schedule such a discussion and vote at an appropriate time, assuming I am
still Chair at that time.

Regards
Marshall

---

From: Leslie Daigle <[email-masked]>
Date: Tue, 20 Sep 2011 14:16:27 -0400

Hi,

I had the comments below on a previous incarnation of "how to fix the 
IAOC because Chairs are overloaded".

I have to say -- I don't think the substantive points are addressed in 
the new proposal, which leaves the Chairs as spectators to the IAOC process.

I don't think you can disagree with me that, with no vote (recognized 
voice) in a committee's work, there's even less possibility to find the 
hours to keep up with the substance of discussions and thus be able to 
contribute meaningfully to a discussion when the time comes.

Substantively -- this takes the Chairs off the IAOC, just as the 
original proposal did, and my comments/confusion/questions below are 
still current for me.

Leslie.

-------- Original Message --------
Subject: Re: I-D Action:draft-klensin-iaoc-member-00.txt
Date: Tue, 01 Sep 2009 18:06:07 -0400
From: Leslie Daigle <[email-masked]>
To: IETF discussion list <[email-masked]>
CC: John C Klensin <[email-masked]>

I'm having troubles reconciling a couple of things:

1/ Recent discussion (different draft) on the importance of the IAOC
implementing IETF (and IAB) policy and admin requirements; not having
the IAOC *setting* those requirements;

2/ Suggesting that the IAB & IETF Chairs should not be on the IAOC.

As it stands the IETF Chair is in a unique position to understand all
the requirements of the IETF community and IETF administrative
activities.  There isn't someone else who can step in: all other IESG
members are tasked, as a primary responsibility, with looking after
their particular areas.

The IAB Chair similarly sits at the confluence of all the issues hitting
the IAB, and is specifically responsible for tracking them so that they
get addressed by the IAB.  While the IAB Chair can, in theory, delegate
actions on particular topics, it at least used to be the case that some
tasks are too tricky or unappealing to get other involvement(too admin,
not enough architectural content).  And, even with successful delegation
of individual tasks, the IAB Chair retains the perspective across all
the activities -- technical, IANA, RFC Editor, etc.

I'm not going to disagree that the jobs are heavily loaded, and that
it's a problem for the IETF that the organization relies heavily on
finding a solid candidate for each of these complex positions.

However, I think taking them off the IAOC is *not* the place to start.
   It makes more sense to me to sort out the organizational challenges
(of the IESG/IETF, and of the IAB) that cause overloading of these
positions, and *then* see what makes sense in terms of identifying IAOC
participation.

Pulling these positions off the IAOC would succeed in weakening the
IAOC, even as it increases the stress levels in the positions as the
respective Chairs try to figure out what is going on with the
administrative support for the balls they are trying to keep moving.

My $0.02cdn

Leslie.

-- 

-------------------------------------------------------------------
"Reality:
      Yours to discover."
                                 -- ThinkingCat
Leslie Daigle
[email-masked]
-------------------------------------------------------------------

---

From: John C Klensin <[email-masked]>
Date: Tue, 20 Sep 2011 15:05:00 -0400

--On Tuesday, September 20, 2011 14:16 -0400 Leslie Daigle
<[email-masked]> wrote:

> 
> Hi,
> 
> I had the comments below on a previous incarnation of "how to
> fix the IAOC because Chairs are overloaded".
> 
> I have to say -- I don't think the substantive points are
> addressed in the new proposal, which leaves the Chairs as
> spectators to the IAOC process.
> 
> I don't think you can disagree with me that, with no vote
> (recognized voice) in a committee's work, there's even less
> possibility to find the hours to keep up with the substance of
> discussions and thus be able to contribute meaningfully to a
> discussion when the time comes.

As ex-officio non-voting members, with the main responsibility
for representing IAB and IESG views and needs resting with
someone else, that seems ok to me.   At the same time, I think
you underestimate the ability of the people involved to read in
really quickly if that is necessary/ important.

> Substantively -- this takes the Chairs off the IAOC, just as
> the original proposal did, and my comments/confusion/questions
> below are still current for me.

I think I responded to most of these in a different subthread
earlier this week.   The remarks below are just a quick summary.

> 2/ Suggesting that the IAB & IETF Chairs should not be on the

Leslie,

You appear to be assuming that the proposal is somehow removing
the IAB and IESG (and ISOC) representation/ presence on the IAOC
and Trust.  No one has suggested that.  What has been suggested
is that the determination of who is most able to effectively
represent those bodies can sensibly be left up to them rather
than assuming that the Chairs are somehow endowed with special
knowledge and wisdom that no one else shares.

I think it would be really stupid for the IESG, IAB, or ISOC
leadership to put someone on the IAOC who wasn't thoroughly
familiar with the thinking in those bodies about IASA issues and
competent in the issues the IAOC and Trust address.  I think we
can trust those bodies to avoid being stupid (except possibly as
a tradeoff against worse choices) and don't need to invent rules
that ban stupidity.

> members are tasked, as a primary responsibility, with looking
> after their particular areas.

Sometimes I feel as if the IETF Chair is "tasked" with doing a
good Superman imitation -- understanding everything, knowing
everything, leaping tall buildings...  Despite my frequent role
as a critic, I'm also impressed with how good a job recent
incumbents have done at that.  But I also think it is an
unreasonable expectation along both the knowledge and time
dimensions and that there are usually people on the IESG (and
elsewhere) who can do parts of the job (including broad
understanding and perspective) as well.  I also note that
nothing in any of these proposals prevents the IESG from
appointing the Chair to the voting position on the IAOC if they
conclude that is the best choice after all tradeoffs are
considered and the Chair has the available cycles.    The
proposal increases flexibility; it need not actually change the
membership of the IAOC even if some of us assume that it would.

> the activities -- technical, IANA, RFC Editor, etc.

I can't speak for you, Olaf, or Bernard, but I just don't
believe it.  There are often people who have perspectives as
good as the Chair.  That is likely to get more differentiated
over time as the Program model permits more tasks to be spread
around, probably with the IAB Chair not intimately involved in
some of them.   Indeed, if any member of the IAB is guaranteed
to have the perspective you are asking for, it would be the Exec
Dir, not the Chair.

> administrative support for the balls they are trying to keep

I don't think "weakening the IAOC" has been convincingly
demonstrated.  Some people believe that it will weaken the IAOC,
some believe that replacing the Chairs with people who have more
cycles to pay attention to the IAOC (and possibly even a closer
match in terms of skills) would, in the long run, strengthen the
IAOC.  Perhaps letting go of the IAOC memberships would cause
stress on some Chairs because they felt they needed much closer
involvement in what was going on with the IASA, but then they
should persuade the relevant bodies to put the Chairs into the
voting positions.  I would question the appropriateness of a
chair who felt that he or she had to be personally and
intimately involved in everything, but that is another matter.

best,
   john

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 21 Sep 2011 09:09:50 +1200

>> With this procedure, I see no reason to modify the Trust Agreement. 

Agreed, and it would be "cheaper" to do it this way, but...

> Obviously this all assumes there is a consensus for changing the I* chairs role

...exactly. I'm far from convinced about that. I think the real need is to
figure out how to make the IAOC an Oversight committee rather than it getting
involved in executive decisions, and to figure out how to make the IAB an
Architecture board instead of getting involved in administrative matters.

    Brian

---

From: <[email-masked]>
Date: Tue, 20 Sep 2011 21:23:41 +0000

Hi Brian,

On 9/21/11 12:09 AM, "Brian E Carpenter" <[email-masked]>
wrote:
[snip]
>Architecture board instead of getting involved in administrative matters.

I totally agree. In addition, if the people that have been given at least
theoretically highest positions in the IETF leadership would not like to
take the responsibility of the trust, who then would? These people are
trustees in my mind as the puck of responsibility ends at them.

I repeat what I said earlier, I believe the problem is real and needs to
be addressed. I think it is good, Olaf, you brought it up. However, I
believe this is a matter of organizing *internally* in the IAOC rather
than changing the rules. Perhaps they have to hire help, or get even more
of it from the ISOC.

Cheers,

Jonne.

---

From: Olaf Kolkman <[email-masked]>
Date: Wed, 21 Sep 2011 07:47:03 +0200

> Architecture board instead of getting involved in administrative matters.

On the IAB:
I do not agree that the focus needs to be on the "A" of architecture. There is not a lot that the IAB does that is not in its charter. I believe that the focus needs to be on the "B" of board. In other words, just as in the IAOC more oversight. During my tenure we took a number of steps to move the handy work into programs and initiatives in which the execution of projects could take place so that the IAB members themselves could oversee but that journey was far from complete.

For the IAOC and IAB these will be difficult challenges that cannot be enforced externally but also need an evolutionary culture change . Not only in the I* bodies themselves but also how the NOMCOM.

--Olaf

---

From: Roger Jørgensen <[email-masked]>
Date: Wed, 21 Sep 2011 08:38:07 +0200

<snip>
> Architecture board instead of getting involved in administrative matters.

I'm new to this level of innerworking in the IETF, and a bit more confused
after this thread.

I did ask what was the core problem sort of and got two excellent answers
but none of the convinced me that the draft/proposal at hand are the right
answer to an obvious problem.

However, Brian's suggestion above looks like a better road ahead since it
get closer to the core of the problem, the workload and address that.

-- 

Roger Jorgensen           |

---

From: SM <[email-masked]>
Date: Wed, 21 Sep 2011 02:02:49 -0700

At 22:47 20-09-2011, Olaf Kolkman wrote:
>For the IAOC and IAB these will be difficult 
>challenges that cannot be enforced externally 
>but also need an evolutionary culture change. 
>Not only in the I* bodies themselves but also how the NOMCOM.

The IAOC has been around for six years.  The IESG 
has been around for 25 years and the IAB for 27 
years.  Half of IESG and IAB are picked by the 
community each year.  As this is the IETF, it's a 
bit more complicated than that (see NomCom).  The 
community only have a say on one quarter of the IAOC.

The current NomCom looks like an inverted image 
of NomCom from a cultural perspective.  NomCom 
will make a safe bet this year.  If the community 
wants to force an IAOC change, it would have to 
be done by BCP.  In a way, the draft is attempting to do that.

The comments posted by Roger Jørgensen are more 
interesting than the politics surrounding the 
change.  He mentioned being "a bit more confused 
after this thread".  It took 20 years for the 
IETF to take control over its administrative 
operations.  The functions cover setting meeting 
fees, deciding how far you should fly to attend a 
meeting, deciding on how to prevent the IETF from being sued, etc.

It is unlikely that an evolutionary culture 
change will come from within the IAOC.  Being 
kicked by the ARSE is not an evolutionary change. :-)

Regards,
-sm

---

From: Bob Hinden <[email-masked]>
Date: Wed, 21 Sep 2011 16:22:43 +0300

Jari,

> I appreciate your view on this, particularly when you are day-to-day seeing how the current system works with IAOC.

Thanks.  I also note that several past IAOC chairs have expressed concern about this proposal as well.  That should be given some weight.

> That being said, I do think it is important to give some flexibility to chairs on organizing their work. And it is important to provide tools for them to manage their time, including ability to del…

For sure, but why only address this aspect of their jobs?  We should be talking about the general problem before evaluating a point solution.  We don't normally take this approach when chartering working groups, their usually has to be a discussion of the problems before proposing specific solutions.

> I understand the point about chairs being involved. But I'm also sure there will never be an IAB/IETF chair who would ignore important IAOC business. This draft is about the ability (but not a requ…

I don't think it so easy to distinguish between "important IAOC business" vs. "day to day".  "Day to day" decisions can have unexpected consequences.  It's just not that black and white.  Also, different chairs get involved in different things.  The IETF chair is very involved in tools, secretariat related issues, venues, the IAB chair is involved in RFC editor related issues, the ISOC CEO is very involved in the budget.  It's not all the same.  Their involvement varies a lot depending on the topic and their role.

The proposal treats them all the same.

> I also understand the point about chairs sharing the responsibility for decisions. I just don't think the suggested new scheme would affect that. The IAOC would for sure still listen to a message f…

Having a vote is very different from just being an advisor.  

I also think that over time, the chairs will become less involved in the IAOC because they are busy.  It doesn't make sense to me to say on one hand that the chairs are too busy to be voting members of the IAOC, but at the same time they will have enough time to effect important decisions.  It doesn't work that way in practice.  

Bob

---

From: Bob Hinden <[email-masked]>
Date: Wed, 21 Sep 2011 17:16:41 +0300

Jari,

A few comments on your email to Jonne.  

> First, I want to thank you for the clear expression in Finnish. (Maheeta! Vaikka näiden muutosten läpivienti alkaa kyllä tuntua siltä kuin jäitä polttelisi, saa odottaa perse ruvella että kukaan ol…

Goggle translate was helpful here :-)

> I have some trust in the chairs ability to prioritize, delegate and engage in the important discussions.

They do that today.

> I do like your idea that IAOC itself needs to work smarter though. It should really be just a board, not the guys doing the actual work. As an outsider, it sometimes feels like you guys are doing t…

I am not sure what you mean by the members of the IAOC doing the actual work.  The IAD does most of the work behind the scenes.  That includes writing RFPs, motions, budgets, SOWs, agendas, works with the volunteer minute takers to produce the minutes, organizes contractor reviews, negotiates with contractors, works with ISOC finance department, works with legal council, organizes conference calls and meetings, etc., etc.  The secretariat does the leg work to collect information on venues, costs, hotels, etc.  The IAOC voting members review, comment, approve/disapprove things, but that's not where most of the real work is.  The voting members are responsible for the decisions and actions.  I want to make it clear that most of the actual work is not done by the voting members.   Given the source of our members, we do tend to get involved in details for better or worse.  The IAOC (and Trust chairs) have a bigger load than the rest of the voting members.

Bob

---

From: Bob Hinden <[email-masked]>
Date: Wed, 21 Sep 2011 17:27:11 +0300

Olaf,

> I appreciate your thoughts on the matter!

Thanks.

> I did not see that rough consensus, but let us not argue that, I believe it is up for Jari to say were the consensus is.

To repeat what I said, I didn't see the new draft resolving issues that I and other raised on the list. The new draft is a different approach, but as Leslie pointed out, it might be worse.  In the old draft, the I* chairs were allowed to appoint someone to represent them, in the new one they are non-voting advisors.  Busy people being busy, will tend to not follow or attend the meetings.  Many small decisions can have unintended consequences.  

> The IAB Chair is ex-officio member of the IESG (see RFC3710 section 2) but for Decision making the IAB chair is excluded from the consensus process (RFC3710 section 3.1 2nd paragraph). The obvious…

I am not sure I understand the point here.  Further, isn't this cross membership another cause of I* chair overload?  Why not eliminate that too?  Why are you only considering the IAOC roles?  Why is the IETF chair a member of the IAB and why does the IAB chair attend IESG meetings?  Wouldn't the reduce their load too?  They could appoint a liaison?  Same for the ISOC CEO.

> At some point I'd be perfectly happy to agree to disagree on the merit of the idea. But I want to understand the motivation and make sure there is nothing actionable on my side.

Other than dropping the proposal :-)

I agree there is a problem with I* chair overload, but you have proposed a point solution without having the general discussion.  It would be better if the community had that discussion before evaluating solutions.  

> There is no requirement that members of committees are IAOC members, is there?

It's usually a mix of IAOC members and invited members.  The subcommittees make recommendations to the IAOC, the IAOC make the decision.

> I do not buy that argument. If the I* chairs are vital for the connect with the community we have a different problem.

It's also important that the IAOC is well connected to what the IESG and IAB are thinking.  We get that now by having the IETF and IAB chairs be voting members of the IAOC and IETF Trust.  Your proposal breaks that link and over time I think the IETF as a whole will suffer.  

> It is important for the IAOC to be informed about what the I* chairs find important.

Yes, but I don't understand your point.  We get that today with the current makeup.  Your proposal breaks these links.

>> I think it's very important for the I* chairs to share the responsibility for IAOC decisions by being voting members.  

So we don't have the IESG and IAB having disputes with the IAOC.  Having the IETF and IAB chairs share the decisions avoids a lot of this.  I think you are aware of a few times where we got close to this and I think the current structure helped avoid it.

> It would help if you would share those ideas. 

I will. I don't claim to have perfect solutions, but I think there are a number of approaches that we should start discussing.  I will do this in a separate email with a new subject field.

Bob

---

From: Jari Arkko <[email-masked]>
Date: Wed, 21 Sep 2011 17:50:59 +0300

Bob,

> Goggle translate was helpful here :-)

Good... and next time when we meet over beer I can reveal the correct translation :-)

> I am not sure what you mean by the members of the IAOC doing the actual work.  The IAD does most of the work behind the scenes.  That includes writing RFPs, motions, budgets, SOWs, agendas, works w…

This all sounds good. But do you agree that workload for the chairs is an issue? Because I thought Jonne was saying that it is an issue and the solutions should come from a better organization within the IAOC rather than from Olaf's proposal. But if I read the above, it almost sounds like you think everything is done pretty much as well as it can be done, and there's little to change. Up-leveling the discussion: I guess we need to agree about the problem statement before we can talk about the solutions.

Jari

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 21 Sep 2011 11:28:03 -0400

Dear Jari;

> Good... and next time when we meet over beer I can reveal the correct

I fear it might be "too much information."

>>> outsider, it sometimes feels like you guys are doing too much. In any case,
>>> if you and Bob think this would be a good direction for the IAOC to take,
>>> can you comment how feasible it is? Has it been tried, could it be tried?
>>> (And shouldn't it already be done if it was easy?)
>>>
>> I am not sure what you mean by the members of the IAOC doing the actual
>> work.  The IAD does most of the work behind the scenes.  That includes
>> writing RFPs, motions, budgets, SOWs, agendas, works with the volunteer
>> minute takers to produce the minutes, organizes contractor reviews,
>> negotiates with contractors, works with ISOC finance department, works with
>> legal council, organizes conference calls and meetings, etc., etc.  The
>> secretariat does the leg work to collect information on venues, costs,
>> hotels, etc.  The IAOC voting members review, comment, approve/disapprove
>> things, but that's not where most of the real work is.  The voting members
>> are responsible for the decisions and actions.  I want to make it clear that
>> most of the actual work is not done by the voting members.   Given the
>> source of our members, we do tend to get involved in details for better or
>> worse.  The IAOC (and Trust chairs) have a bigger load than the rest of the
>> voting members.
>>
>
> This all sounds good. But do you agree that workload for the chairs is an
> issue?

The Chairs think that is it, which is enough evidence for me.

> Because I thought Jonne was saying that it is an issue and the solutions
> should come from a better organization within the IAOC rather than from
> Olaf's proposal. But if I read the above, it almost sounds like you think
> everything is done pretty much as well as it can be done, and there's little
> to change. Up-leveling the discussion: I guess we need to agree about the
> problem statement before we can talk about the solutions.
>

Here is the problem as I see it. It is all well and good to say that the
IAOC should be more oversight and less administrative, but there is 5 years
of running code to the contrary. (I seem to remember a certain IETF Chair
predicting the withering away of the IAOC's workload as soon as the CNRI
transition was worked through.) I frankly just don't see that changing with
the IETF structured the way it is, and I do not see a fundamental
reorganization coming soon. In addition, the work of the IAOC (and Trust) is
greatly improved by the input of the Chairs. Yes, they represent bodies with
multiple members, but while each member may have equal status, they do not
all have equal interest in operational matters. (I know, for example, that
some ADs are not that interested in hotel contracts.) Plus, a lot of that
benefit comes from immersion in the issues and (to be blunt) immersion is
motivated by responsibility.

So, how to reduce the load on the Chairs ? This in my opinion a governance
issue, and, as it happens, we have some 5000 years of governance experience
to draw from. This problem is very common in governments (or companies) as
they grow - positions that formerly took one person become impossible for
one person to do. The typical way to deal with that is to grant
responsibility to another person or persons, in other words, to delegate the
responsibility. That was more the approach of the first draft of this I-D,
and so I like that part of it better. My chief reaction to the first draft
was that it wasn't followed through. It created basically new positions, but
had little to make sure that their holders would have the knowledge,
responsibility and authority for the job.

So, to be specific, here is a proposal. Create a second Area Director in the
General Area. Have this second AD be primarily responsible for operational
matters, and be the IESG ex-officio member of the IAOC / Trustee of the
Trust. This could be a new person, or the IESG could have a tradition that
an outgoing AD from another area serve in the post. (The IETF Chair should
be able to offload more responsibilities than just IAOC meetings to this
person, but that is an IESG / IETF Chair matter.)

The IAB is not so usefully subdivided, but it could likewise create a
vice-chair, which it could call something different. The point is that, if
the Chair is not going to undertake the role, there should be someone who
agrees that, not only will they serve on some committee, but also that they
will take responsibility for that service with their sponsoring
organization. I don't think that just having a new IAB or IESG nominated
member, by itself, is going to accomplish that.

Regards
Marshall

---

From: Olaf Kolkman <[email-masked]>
Date: Wed, 21 Sep 2011 18:59:48 +0200

> Yes, but I don't understand your point.  We get that today with the current makeup.  Your proposal breaks these links.

Oops..I did not finish the paragraph.

>> It is important for the IAOC to be informed about what the I* chairs find important.

I claim that the first two items are independent of I* chairs being voting members of the IAOC.

I also claim that for the third item there is no necessity for the I* chairs to be a voting member, nor for the fourth. That said, I am sensitive to the argument that if I* chairs are members they may actually pay more attention (human nature and such) and that being effective at those item without being a member is tough.

--Olaf

---

From: David Kessens <[email-masked]>
Date: Wed, 21 Sep 2011 12:03:51 -0700

Bob, Olaf,

On Wed, Sep 21, 2011 at 05:27:11PM +0300, Bob Hinden wrote:
> 
> To repeat what I said, I didn't see the new draft resolving issues that I
> and other raised on the list. The new draft is a different approach, but as
> Leslie pointed out, it might be worse. In the old draft, the I* chairs were
> allowed to appoint someone to represent them, in the new one they are
> non-voting advisors. Busy people being busy, will tend to not follow or
> attend the meetings. Many small decisions can have unintended consequences.

I reviewed the new draft and I agree with Leslie and Bob that the new draft
seems to be a step in the wrong direction.

The critical thing is that we don't loose the participation of the IETF
chair, IAB chair and ISOC President/CEO while at the same time finding a way
to lighten their workload.

>From the discussion we had on the previous draft, it seemed to me that
a differentation between these positions is actually very important.

There was very little support to have the IETF chair delegating the full job
of his/her IAOC membership. At the same time, there were much less strong
feelings about this for the IAB chair and ISOC CEO/president.

I agree with the sentiment that the IETF chair should remain a full voting
member of the IAOC. 

However, I don't object if the IETF chair would have a designated backup for
the voting role when he/she cannot attend to IAOC business. I believe it
would be useful for the designated backup to be a non voting permanent IAOC
member in order to make sure the backup understands what is going on.
However, the important thing is that the vote is still a vote that the IETF
chair is responsible for.

Furthermore, I am not sure whether there is a real need to do a similar
setup for the Trust as well.

And finally, for full disclosure, I have been present myself at IAOC
meetings as a guest from the IAB. This allowed for an IAB perspective to be
present when the IAB chair couldn't make it to the IAOC meetings but of
course I had no voting power etc. I'll leave it up to the current IAOC
members and the IAB chair to comment on that experience.

David Kessens
---

---

From: Henk Uijterwaal <[email-masked]>
Date: Wed, 21 Sep 2011 21:21:10 +0200

> to lighten their workload.

I think one of the questions to be answered is: do we want participation
of the I* chair or do we want participation of the related I* group.

If I look back at my years on the IAOC, then I think that it is very
important that the opinions of the I* groups is known in the IAOC and
it is equally important that the I* groups have a vote when decisions
are to be made.  I'm not at all convinced though that the person
doing this needs to be the chair.  A model where the I* selects one
of them to represent the I* on the IAOC (with full voting rights
for that person) would work equally well, of course, assuming that the
representative talks to the other members of the I* group.

A model where the I* can send 1 person, rather than just the chair,
will make it easier for the I* to distribute the work amongst the
people.  That is an improvement.

> member in order to make sure the backup understands what is going on.

Well, I have been on committees with designated backups and it just does
not work: if a backup only looks at the ongoing issues when it is clear
that the first person cannot attend, he will miss a lot of background
and cannot sensibly participate.  If the backup follows everything that
is going on, then the amount of work to be done doubles.

Again, from personal experience, I'd much rather see that the unavailable
person comments by mail beforehand or even asks for a discussion to be
postponend, than having a backup for a single meeting.

Henk

---

From: Henk Uijterwaal <[email-masked]>
Date: Wed, 21 Sep 2011 21:22:32 +0200

On 21/09/2011 16:50, Jari Arkko wrote:
>  But do you agree that workload for the chairs is an issue?

Yes, at least all the chairs I know say so, that makes it an issue for me.

Henk

---

From: Jari Arkko <[email-masked]>
Date: Thu, 22 Sep 2011 00:12:26 +0300

Henk,

> If I look back at my years on the IAOC, then I think that it is very important that the opinions of the I* groups is known in the IAOC and it is equally important that the I* groups have a vote when decisions are to be made. I'm not at all convinced though that the person doing this needs to be the chair. A model where the I* selects one of them to represent the I* on the IAOC (with full voting rights for that person) would work equally well, of course, assuming that the representative talks to the other members of the I* group. A model where the I* can send 1 person, rather than just the chair, will make it easier for the I* to distribute the work amongst the people. That is an improvement. 

Yes.

Also, there is some experience from the other direction: sometimes it has happened that the chair talks with the IAOC and they come up with some conclusion, but when he talks to the rest of us in an IESG meeting we bring up additional points that may change the conclusion. So whether or not it is the chair that is in the IAOC meeting, it is important that there is a discussion with the rest of the body.

Jari

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 22 Sep 2011 09:32:50 +1200

I think this disagreement between two ex-IAB Chairs deserves its own thread.

> I do not agree that the focus needs to be on the "A" of architecture. There is not a lot that the IAB does that is not in its charter. I believe that the focus needs to be on the "B" of board. In o…

The tension between Architecture and Board has existed to my
personal knowledge since 1994, and probably longer. Let's not
forget that the IAB has had three names:

1984 Internet Advisory Board
1986 Internet Activities Board
1992 Internet Architecture Board

Maybe it's time to discuss whether the A and the B shouldn't simply
be split apart?

> For the IAOC and IAB these will be difficult challenges that cannot be enforced externally but also need an evolutionary culture change . Not only in the I* bodies themselves but also how the NOMCO…

Indeed, and I think that is a more profound issue than just the Chairs'
workloads (which, in case it isn't clear, I definitely agree is a problem
that needs solving).

    Brian

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 21 Sep 2011 18:01:02 -0400

On Wed, Sep 21, 2011 at 5:32 PM, Brian E Carpenter <
[email-masked]> wrote:

> > I do not agree that the focus needs to be on the "A" of architecture.
> There is not a lot that the IAB does that is not in its charter. I believe
> that the focus needs to be on the "B" of board. In other words, just as in
> the IAOC more oversight. During my tenure we took a number of steps to move
> the handy work into programs and initiatives in which the execution of
> projects could take place so that the IAB members themselves could oversee
> but that journey was far from complete.
>

There was at least one Internet Architecture Task Force meeting, in May
1986, as the Trust holds proceedings for it
(Box C0000118340 of the Trust Archives).

Regards
Marshall

> > For the IAOC and IAB these will be difficult challenges that cannot be
> enforced externally but also need an evolutionary culture change . Not only
> in the I* bodies themselves but also how the NOMCOM.
>

---

From: Michael StJohns <[email-masked]>
Date: Wed, 21 Sep 2011 18:08:33 -0400

The INARC - Internet Architecture Task Force and the IAB were never the same thing.

The INARC was what was left of the Gateway Algorithms and Data Structures group after the IETF (actually the INENG at the time) was created halfway through the GADS meeting.  Both GADS and INARC were chaired by Dave Mills.

The IAB at the time was composed of the chairs of the various task forces.

Mike

At 06:01 PM 9/21/2011, Marshall Eubanks wrote:
>There was at least one Internet Architecture Task Force meeting, in May 1986, as the Trust holds proceedings for it

---

From: John C Klensin <[email-masked]>
Date: Wed, 21 Sep 2011 18:42:55 -0400

--On Thursday, September 22, 2011 00:12 +0300 Jari Arkko
<[email-masked]> wrote:

>... 
> Also, there is some experience from the other direction:
> sometimes it has happened that the chair talks with the IAOC
> and they come up with some conclusion, but when he talks to
> the rest of us in an IESG meeting we bring up additional
> points that may change the conclusion. So whether or not it is
> the chair that is in the IAOC meeting, it is important that
> there is a discussion with the rest of the body.

Yes.  And while "how much" will differ with the individuals
involved and the dynamics of the IAOC, the claims that the
Chairs someone have exclusive knowledge, exclusive perspective,
and/or exclusive understanding are essentially arguments that
the kind of consultation Jari describes is really unnecessary.
I, for one, believe that have IESG and IAB insight (and input)
into what is going on in the IAOC/Trust is at least as important
as having IAOC/Trust insight into what is going on in the IESG
and IAB.  And I believe that an appointed member --who might be
the Chair but need not be-- is actually likely to help
facilitate that two-way communication by making it more clear
that the IAB and IESG are expected to maintain some visibility
and insight.

   john

---

From: Michael StJohns <[email-masked]>
Date: Wed, 21 Sep 2011 19:01:23 -0400

I've been watching this with interest.  I'm especially in agreement with Leslie's comments about chair load.

Because of the legal issues with respect to the IETF trust and the implementing documents for the IAOC, its going to be pretty difficult to come up with a way to remove some of the responsibilities from the Chairs (meeting attendance, voting, etc) without also removing the authority.

We're arguing somewhat in circles.

I agree with Bob's comments below that the leadership of the IESG and the IAB need to be involved in the operation of the IAOC, but I no longer think there are enough hours in the day for the IETF and IAB chairs to be able to do everything they need to do.

I hesitate to suggest this, but its probably time:

Let's add a position to the IESG - Executive Vice-Chair or Co-Adjutor Chair.   Basically, either the chair's personal representative (Executive Vice-Chair) or their replacement in waiting (Co-Adjutor Chair).

Have the IAB select a vice-chair when they select the chair.

Modify the various documents to describe the various responsibilities for the Vice-chairs - suggestions for the IETF co-chair would be to stick him/her with the IAOC, the Trust and at least half of the Administrivia..  For the IAB - ditto plus liaison and appeals.

Modify the IAOC documents to permit either of the two co-chairs to be designated for a year at a time as IAOC members by the respective chairs choice (but can't be pulled off once on).   No modificiations to the Trust legal document, but probably modify the administrative document to require the chair and co-chair for the IAB and IETF be invited to all non-closed meetings.

Job description to the Nomcom - for the IETF, the co-chair is a chair-in-training with the expectation they may make a decent Chair when and if the time comes.  Maybe rotate that job every two years regardless to ensure a couple of people with some of the chair experience are in the pool.  Maybe even every year.

Mike

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 21 Sep 2011 19:04:28 -0400

On Wed, Sep 21, 2011 at 7:01 PM, Michael StJohns <[email-masked]>wrote:

> Because of the legal issues with respect to the IETF trust and the
> implementing documents for the IAOC, its going to be pretty difficult to
> come up with a way to remove some of the responsibilities from the Chairs
> (meeting attendance, voting, etc) without also removing the authority.
>
> I agree with Bob's comments below that the leadership of the IESG and the
> IAB need to be involved in the operation of the IAOC, but I no longer think
> there are enough hours in the day for the IETF and IAB chairs to be able to
> do everything they need to do.
>
> Let's add a position to the IESG - Executive Vice-Chair or Co-Adjutor
> Chair.   Basically, either the chair's personal representative (Executive
> Vice-Chair) or their replacement in waiting (Co-Adjutor Chair).
>
> Modify the various documents to describe the various responsibilities for
> the Vice-chairs - suggestions for the IETF co-chair would be to stick
> him/her with the IAOC, the Trust and at least half of the Administrivia..
>  For the IAB - ditto plus liaison and appeals.
>
> Modify the IAOC documents to permit either of the two co-chairs to be
> designated for a year at a time as IAOC members by the respective chairs
> choice (but can't be pulled off once on).   No modificiations to the Trust
> legal document, but probably modify the administrative document to require
> the chair and co-chair for the IAB and IETF be invited to all non-closed
> meetings.
>
> Job description to the Nomcom - for the IETF, the co-chair is a
> chair-in-training with the expectation they may make a decent Chair when and
> if the time comes.  Maybe rotate that job every two years regardless to
> ensure a couple of people with some of the chair experience are in the pool.
>  Maybe even every year.
>
>
I have suggested this verbally several times, and so would support it, but
each time it has gotten shot down as "not the IETF/IESG/IAB way."

Regards
Marshall

> >>> I think it's very important for the I* chairs to share the
> responsibility for IAOC decisions by being voting members.
> >>
> >> Why?
> >
> >
> >So we don't have the IESG and IAB having disputes with the IAOC.  Having
> the IETF and IAB chairs share the decisions avoids a lot of this.  I think
> you are aware of a few times where we got close to this and I think the
> current structure helped avoid it.
>
>

---

From: Thomas Narten <[email-masked]>
Date: Thu, 22 Sep 2011 07:40:44 -0400

What is needed is someone who is fully engaged in the IAOC.

Having a vote doesn't automatically get you that. Indeed, I would
assume most votes are a formality, with decisions reached mostly by
consensus. If, in fact, votes are close on a regular basis, the IAOC
likely has bigger problems, IMO.

Seems to me that having an I* chair vote is designed to force them to
pay attention and be accountable.

The key quesion, IMO, is whether it is acceptable to have an I* chair
offload the responsibility for paying attention and being engaged.

I'm hearing some say "yes" and others say "no".

Thomas

---

From: Marshall Eubanks <[email-masked]>
Date: Thu, 22 Sep 2011 08:02:06 -0400

On Thu, Sep 22, 2011 at 7:40 AM, Thomas Narten <[email-masked]> wrote:

> consensus.

Both the IAOC and the Trust do in practice run on consensus. I believe that
the number of close votes, in the entire
history of both organizations, could be counted on the figure of one hand.

Regards
Marshall

> If, in fact, votes are close on a regular basis, the IAOC

---

From: Bob Hinden <[email-masked]>
Date: Thu, 22 Sep 2011 15:55:20 +0300

Mike,

> Job description to the Nomcom - for the IETF, the co-chair is a chair-in-training with the expectation they may make a decent Chair when and if the time comes.  Maybe rotate that job every two year…

I think something like you propose would be better than what the current draft proposes.

I think the three chair positions we are discussing are different and need different solutions.  For example:

ISOC CEO/President

This responsibility can't be delegated to just anyone.  It needs to be an officer of ISOC.  For example the Chief Financial Officer (CFO) or Chief Operating Officer (COO).  It's very different from the board selecting another IAOC member, there needs to be someone from ISOC who has fiduciary responsibility in ISOC.  While I don't think having the CFO or COO would be good as having CEO, it would be workable.

IAB Chair

The IAB chair is selected by the IAB, it's not an nomcom selected position.  As you propose, if the IAB created another leadership position, maybe analogous to an IAB COO that could work.  It would have to be a leadership position in the IAB with real responsibility, including being a voting member of the IAOC and IETF Trust.

If the IAB doesn't want to do this, then the IAB should consider ways of reducing it's load.  It has taken on more responsibility in recent years.  I think some of that could be moved out of the IAB.  For example, the IAB could more fully delegate decision making to the RSOC and only deal with appeals.

IETF Chair

The IETF chair is chosen by the nomcom.  The job requirements are clear in advance.  Anyone applying is aware of the job.  I don't think the IETF Chair position on the IAOC and IETF Trust can be delegated to anyone else without serious risk to the overall IETF standards operation.  The IETF chair needs to be a voting IAOC and IETF Trust member.  Too much of the IETF operation for it's successful operation is tied to the IETF chair for he/she to delegate it to anyone else.  It's just part of the job.   

I think we should look for other ways to reduce the load on IETF chair, like giving up the general area (have a separate AD for that), or a more comprehensive change to the IESG where more of the decisions are moved to individual areas (e.g., add an other level to the IESG).  The IESG is getting large for a flat management structure.

Bob

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 22 Sep 2011 10:20:44 -0400

Regarding the delegating the IETF chair participation in the IAOC,

> I think we should look for other ways to reduce the load on IETF chair, like giving up the general area (have a separate AD for that), or a more comprehensive change to the IESG where more of the d…

When I read this, I feel like I am missing something.
When I saw the first note along these lines, I understood it.
Since then, there have been notes raising substantive disagreements with 
this.  It has been observed that a new IETF chair does not bring the 
very things that are asked for.  it has been observed that one of the 
important parts of the IAOC participation by the IETF Chair is bringing 
information back to the IESG.  And that such would often be better done 
by someone else.  It has been observed that having a different 
participant would provide more manpower with more time to actually 
participate in the IAOC.  It has been observed that having another 
individual charged with bringing the broad perspective does not seem 
inherently impossible.

I would like some understanding of how these factors play into the view 
that only the IETFC chair can do this job.

Yours,
Joel

---

From: "Spencer Dawkins" <[email-masked]>
Date: Thu, 22 Sep 2011 10:48:26 -0500

For Mike, Marshall, and for others who might be noodling on this ...

> Vice-Chair) or their replacement in waiting (Co-Adjutor Chair).

In addition to about a billion other responsibilities, Russ is actually on 
the hook for the responsibilities we're discussing because he was selected 
by NomCom to be the

- IETF Chair,
- IESG Chair, and
- General Area Director

Mike is suggesting a change for the IESG Chair responsibility. Marshall 
(earlier in this thread) suggested a change for the General Area Director 
responsibility.

I'm not offering an opinion about these proposals (or other proposals that 
someone might suggest), but it might be helpful to consider all three 
responsibilities as a set, when considering these proposals.

Spencer

---

From: Bob Braden <[email-masked]>
Date: Thu, 22 Sep 2011 09:37:07 -0700

>     1992 Internet Architecture Board

I think this is incorrect. The earliest IAB was created by the ARPA 
program manager Vint Cert in 1981. (In fact, I probably have some 
scribbled notes from the first IAB meeting). Vint chose the name 
"Activities" to prevent a rush of people wanting to join. ;-)  Its 
function was in fact "advisory", to give Vint advice on the technical 
course of the Internet research project

I do not recall (without digging into my files) when/if the official IAB 
name expansion was changed to Internet Advisory Board.

separation.

Bob Braden

---

From: Lucy Lynch <[email-masked]>
Date: Thu, 22 Sep 2011 09:42:43 -0700 (PDT)

On Thu, 22 Sep 2011, Bob Braden wrote:

> I think this is incorrect. The earliest IAB was created by the ARPA program 
> manager Vint Cert in 1981. (In fact, I probably have some scribbled notes 
> from the first IAB meeting). Vint chose the name "Activities" to prevent a 
> rush of people wanting to join. ;-)  Its function was in fact "advisory", to 
> give Vint advice on the technical course of the Internet research project
>
> I do not recall (without digging into my files) when/if the official IAB name 
> expansion was changed to Internet Advisory Board.

V Cerf seems to think...

https://tools.ietf.org/html/rfc1120

"In January, 1983, the Defense Communications Agency, then responsible
    for the operation of the ARPANET, declared the TCP/IP protocol suite
    to be standard for the ARPANET and all systems on the network
    converted from the earlier Network Control Program (NCP) to TCP/IP.
    Late that year, the ICCB was reorganized by Dr. Barry Leiner, Cerf's
    successor at DARPA, around a series of task forces considering
    different technical aspects of internetting.  The re-organized group
    was named the Internet Activities Board."

- Lucy

---

From: Michael StJohns <[email-masked]>
Date: Thu, 22 Sep 2011 14:02:06 -0400

Hi Bob - 

I actually think that delegating this to a co-chair or executive vice chair would work.  The similar military model is commander/executive officer where the commander (chair) is responsible for strategic thinking and the XO (co-chair) is responsible for tactical execution.  Also the commander tends to be outward facing and the XO inward facing.

I don't know that the models are close enough to be a perfect fit, but they might suggest some ways of splitting up the load.

If you wanted the chair to retain the IAOC/Trust, you'd have to be able to figure out what other responsibilities to parcel off to the co-chair. I'm not sure I agree with you that the IETF chair MUST be on the IAOC.  In any case,  I definitely think giving a co-chair the General Area would make sense.  Maybe also sticking him/her with the document review responsibility (but leave the decision for the vote in the chair's hand but be based on the co-chairs recommendation).

The other reason I suggested adding a co-chair is that our process of finding an IETF chair replacement is haphazard at best and criminally negligent at worst.  I'd really like to get a few apprentices identified and qualified before Russ quits or dies from overwork.  Having someone do part of the job and observe the rest seems to be a reasonable approach to meeting that (what I perceive as a ) need.

Mike

At 08:55 AM 9/22/2011, Bob Hinden wrote:
>The IETF chair needs to be a voting IAOC and IETF Trust member.  Too much of the IETF operation for it's successful operation is tied to the IETF chair for he/she to delegate it to anyone else.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 23 Sep 2011 08:09:30 +1200

My version of the history is taken from the IAB's own web site,
and it is very specific that the original name was "Advisory"
from 1984 to 1986:

http://www.iab.org/about/history/

Not that it really matters; I just wanted to observe that the role
has evolved over the years.

   Brian

On 2011-09-23 04:42, Lucy Lynch wrote:
>> I do not recall (without digging into my files) when/if the official
>> IAB name expansion was changed to Internet Advisory Board.
> 
> V Cerf seems to think...
> 
> ------------------------------------------------------------------------
> 
> ------------------------------------------------------------------------
>

---

From: Bob Hinden <[email-masked]>
Date: Fri, 23 Sep 2011 10:41:51 +0300

Mike,

> I don't know that the models are close enough to be a perfect fit, but they might suggest some ways of splitting up the load.

I prefer something like this vs. the current proposal.  The XO model is very tied in to the commander and it's reasonable to expect them to be in sync on important issues.  He/she probably doesn't last long if there isn't a close tie in.  Having the XO then be on the IAOC (and Trust) would work.
 
> If you wanted the chair to retain the IAOC/Trust, you'd have to be able to figure out what other responsibilities to parcel off to the co-chair. I'm not sure I agree with you that the IETF chair MU…

Yes, something like that.  

> The other reason I suggested adding a co-chair is that our process of finding an IETF chair replacement is haphazard at best and criminally negligent at worst.  I'd really like to get a few apprent…

I generally agree, but I would still have it be a nomcom decision.  If they didn't think the XO was ready to be promoted (following your model) to commander, they could bring someone else in.

Bob

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 23 Sep 2011 09:45:13 +0200

On 22 September 2011 20:02, Michael StJohns wrote:

> I actually think that delegating this to a co-chair or executive
> vice chair would work.  The similar military model is
> commander/executive officer where the commander (chair) is
> responsible for strategic thinking and the XO (co-chair) is
> responsible for tactical execution.  Also the commander tends to
> be outward facing and the XO inward facing.

> I don't know that the models are close enough to be a perfect fit,
> but they might suggest some ways of splitting up the load.

A "general area" with two ADs like all other areas, where one AD is
the Chair, and the other AD the XO, sounds like a good idea.  Do
they decide who does what, and swap roles when they feel like it,
or is that predetermined by NomCom?

-Frank

---

From: Bob Hinden <[email-masked]>
Date: Fri, 23 Sep 2011 10:49:38 +0300

Frank,

> or is that predetermined by NomCom?

I think the IESG defines it's structure (e.g., deciding on a new area, two ADs per area, etc), then Nomcom then fills the positions.  

Bob

---

From: Bob Hinden <[email-masked]>
Date: Fri, 23 Sep 2011 10:54:50 +0300

Jari,

> Good... and next time when we meet over beer I can reveal the correct translation :-)

Cool!

> This all sounds good. But do you agree that workload for the chairs is an issue? Because I thought Jonne was saying that it is an issue and the solutions should come from a better organization with…

Firstly, I was correcting your assertion that the IAOC voting members were doing most of the work.

I am sure things can be improved, but I don't think the work load of the IAOC voting members is onerous.  Certainly, less than, for example, being on the IESG.  It's not a full time job.  I think there is a reasonable balance between what the IAD and contractors/staff do and the IAOC voting members, not perfect of course.  It may be working better now than earlier.  

I do agree that there are issues with the load of the I* chairs.  My issue is with this solution.  

Bob

---

From: Bob Hinden <[email-masked]>
Date: Fri, 23 Sep 2011 11:04:36 +0300

Olaf,

> Oops..I did not finish the paragraph.

That makes more sense :-)

> I also claim that for the third item there is no necessity for the I* chairs to be a voting member, nor for the fourth. That said, I am sensitive to the argument that if I* chairs are members they…

I theory I can agree, but in practice I think the more separation there is the more likelihood for organizational problems.  The point I am trying to make is that there needs to be close coordination between the IESG/IAB/ISOC and having a responsible person (currently the chairs, there are other possibilities as outlined in some other emails, XO model, etc.) taking voting responsibility is the best way to implement that.  It won't happen if it's just another person the, for example, the IESG appoints as your proposal sugests.  Likewise, I don't think having the chairs be non-voting members will work because the chairs are too busy for this to work over time.

Bob

---

From: Jari Arkko <[email-masked]>
Date: Fri, 23 Sep 2011 11:04:41 +0300

Bob,

> I do agree that there are issues with the load of the I* chairs. My issue is with this solution.

Clear now. Thanks.

Jari

---

From: Olaf Kolkman <[email-masked]>
Date: Fri, 23 Sep 2011 17:16:07 +0200

> I theory I can agree, but in practice I think the more separation there is the more likelihood for organizational problems.  The point I am trying to make is that there needs to be close coordinati…

I do not yet see how the other proposal, which is about diluting responsibility over more person, will keep the persons that end up being chair better informed. But that is because I have not seen the details. Remember that my proposal started out with allowing the chairs to delegate. In a way the alternative proposals may be subject to the same critique.

I am also not 100% sure that close coordination between the IESG/IAB/ISOC means that the chairs need to participate in each others meeting. It might be much more effective if they have a meeting among each other to exchange high-level information and 'heads-ups'. 

--Olaf (keeps listening)

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 23 Sep 2011 11:47:32 -0700

FWIW, I had stopped reading this thread a while ago because I assumed our leaders would come up with The Right Solution without input from the entire peanut gallery. When I told someone this, they pointed out that the thread had taken on a completely different, much larger, subject in the past few days. After looking at a few of the recent messages from my Trash folder, I most certainly agree.

If long-time IETFers such as those commenting now cannot remember when to change the Subject line when a topic completely changes, how can we expect typical IETF participants to do so?

--Paul Hoffman

---

From: John C Klensin <[email-masked]>
Date: Sun, 25 Sep 2011 10:02:05 -0400

--On Friday, September 23, 2011 11:04 +0300 Bob Hinden
<[email-masked]> wrote:

>> I also claim that for the third item there is no necessity
>> for the I* chairs to be a voting member, nor for the fourth.
>> That said, I am sensitive to the argument that if I* chairs
>> are members they may actually pay more attention (human
>> nature and such) and that being effective at those item
>> without being a member is tough.
> 
> I theory I can agree, but in practice I think the more
> separation there is the more likelihood for organizational
> problems.  
>...

Bob,

Of course.  But that is just a corollary to an old principle
that, if one wants a really efficient government, with minimal
chances of "organizational problems", the most efficient form is
an absolute dictatorship (or an absolute monarchy) with one
person in charge of, and responsible for, everything.  As long
as that person is competent and has the bandwidth, things are
nothing if not efficient and, some aesthetic and moral issues
aside, the only major disadvantages are that there is a single
point of failure for the entire system and recruiting
appropriate dictators (or monarchs) has a long history of being
problematic.

We have chosen, I think for really good reasons, to avoid that
sort of model.  That --almost inherently-- means that there will
be some inefficiency and some risk of organizational problems.
Frankly, I'd rather have that risk in the IASA, than having it
affect the ability of the IAB and IESG to do substantive
(standards and external relationship) work.  That doesn't mean I
want an inefficient and organizationally-troubled IASA, only
that, if there is pain, I think that the IASA --which, should it
become necessary, is also more easily reorganized without
significant disruption to the IETF's work than the IESG or IAB--
is the right place to feel, and deal with, that pain.  For that
reason, I'd much prefer to to have IASA leaders saying "well
this might be bad for the IASA, but we've thought about it and
these are ways to make the best of a bad situation" rather than
what often seem to be variations on a theme of "the IASA (IAOC,
Trust) are so much more important than anything else that, if
something has to suffer inefficiency or organizational problems,
it should obviously be the IAB and IESG".

I don't think you really intend to say that, but it is what some
of your (and other) comments come out sounding like.  YMMD.

    john

---

From: Bob Hinden <[email-masked]>
Date: Mon, 26 Sep 2011 13:15:47 -0700

John,

I don't see how you took what I said and then interpreted it as suggesting that I was saying proposing an "absolute dictatorship".  You do have a good imagination :-)

Also, I have been proposing some other ways of solving the I* overload problems as you suggested, except that I don't think the solution to the I* overload problem is in the IASA.  

If we (the community) are going to solve the I* overload problem, it would be good to have some actual data on how the I* chairs spend their time.  It would be good to have a better understanding of the problem before proposing solutions.

Bob

---

From: John C Klensin <[email-masked]>
Date: Tue, 27 Sep 2011 15:03:02 -0400

--On Monday, September 26, 2011 13:15 -0700 Bob Hinden
<[email-masked]> wrote:

> John,
> 
> I don't see how you took what I said and then interpreted it
> as suggesting that I was saying proposing an "absolute
> dictatorship".  You do have a good imagination :-)

I didn't take your proposal that way at all.  I was only trying
to point out that maximizing organization efficiency -- or
minimizing the risks of organizational problems-- may not be a
very good success criterion.

> Also, I have been proposing some other ways of solving the I*
> overload problems as you suggested, except that I don't think
> the solution to the I* overload problem is in the IASA.  

There, we may just disagree.   I can't speak for anyone else,
but, if I have to make a decision about making one of the IESG,
IAB, or IASA a less efficient in the interest of reducing load
on critical and non-substitutable people, I'd be inclined to
point to the IASA first.  

FWIW, I don't think that having the IASA bear all of the burden
is right either -- I also want to look for changes that would
reduce the IAB-caused and IESG-related loads.  

For example, I favor both letting the IAB choose who represents
it on the IASA _and_ the Program model that implies, among other
things, that the IAB Chair doesn't have to have first-hold
involvement in everything.  Interesting it is exactly the
assumption that the IAB Chair will have first hand involvement
in everything that the IAB does that is cited an example of why
it is necessary to have the IAB Chair on the IASA.   So, if the
IAB succeeds in reducing the load on the IAB Chair in that way,
the argument for forcing the IAB Chair to serve on the IAOC and
Trust is reduced as well.   

I'd also like to see mechanisms explored within the IESG to
reduce the load on the IETF Chair.  To the extent to which being
General Area AD adds significant work, I'd be happy to see that
turned into a "real" area and handed off to someone else.  I'm
not even sure that it is critical that the IETF Chair take a
lead (and voting) technical role in the IESG; perhaps the
community should reevaluate the required skill set and determine
whether that responsibility (which, of course, includes
responsibility for document reviews, etc.) is really an optimal
use of time and skills or whether we should eliminate it and
look for a different balance of skills.  I'm not recommending
that -- I can see large disadvantages as well as advantages --
but I think it is within the range of options the community
should understand and consider.

> If we (the community) are going to solve the I* overload
> problem, it would be good to have some actual data on how the
> I* chairs spend their time.  It would be good to have a better
> understanding of the problem before proposing solutions.

Yes.  And a better understanding of how all sorts of people
spend their time, if it could actually be obtained, would be
helpful for all sorts of purposes (e.g,, I'm sure Nomcoms would
love to know for priority-setting purposes in candidate
selection)).  But, having sat in one of those seats and had an
up-close view of how several others have handled them, I think
one of the things you would find is that each person who does
those jobs sorts things out, and prioritizes them, a little bit
differently (maybe a lot differently).  From that perspective,
the observation that we've got the current IETF Chair and the
current and immediate past IAB Chairs, supporting this change
ought to send a relatively strong message... unless, again,
efficiency of the IASA is more important than efficiency of the
IAB or IESG (and I want to stress that I don't think you have
said that... if it just my inference about whether some of your
arguments lead if carried to their logical conclusion).

   john

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 28 Sep 2011 11:48:57 +1300

On 2011-09-28 08:03, John C Klensin wrote:
<snip>

> ...  Interesting it is exactly the

I agree, and of course this goes with my bias against the IAB
becoming the I Administration B, which imnsho is a slippery
slope that we are already on.

> reduce the load on the IETF Chair.

I agree with this phrasing. If Russ isn't too busy (joke), an
update of draft-carpenter-ietf-chair-tasks might be of interest,
especially
http://tools.ietf.org/html/draft-carpenter-ietf-chair-tasks-00#section-5

>  To the extent to which being
> lead (and voting) technical role in the IESG; 

Indeed. In the above draft I also distinguished the IETF Chair
role from the IESG Chair role, and whether they can be split is
worth a discussion.

> perhaps the
> ought to send a relatively strong message... 

And to be clear, I (still the previous IETF Chair) think that
some such change is needed, which is exactly why I wrote the
above draft in 2006. Perhaps the difference is that I see
the IAOC/Trust role as very hard to separate from the IETF Chair
role - but more easily separable from the IESG Chair role.

> unless, again,

I think we need all three to be equally efficient; before IASA
existed, we had burning administrative problems. I wouldn't
like to have to rank the importance of the three.

    Brian

---

From: Leslie Daigle <[email-masked]>
Date: Wed, 28 Sep 2011 06:46:52 -0400

Hi,

So, with more detailed comments below, I think the key thing I'm still 
struggling with finding a way to articulate is the distinction between:

	. assignment/(re)delegation of responsibility
	. offloading work

I think the proposal addresses the second.  I believe the real problem 
is that the responsibility for the organization for which the person is 
ex-officio member is not readily reassigned *from* the person who is in 
the hotseat.

We can agree it would be good if it *could* be done -- it would be good 
if the IAB Chair (for eg) was not the best/only person to know the 
nuances of all things going on in the IAB's space.  But I don't believe 
we get there by pulling them out of the loop of administration (with 
only observer seat status).

A few follow-ups, in-line:

> really quickly if that is necessary/ important.

I think I disagree about the likelihood of that working.  Often times, 
the important thing is to detect there is an issue to address.
>> From: Leslie Daigle<[email-masked]>
>> To: IETF discussion list<[email-masked]>
>> CC: John C Klensin<[email-masked]>
>>
>>
>> 2/ Suggesting that the IAB&  IETF Chairs should not be on the
>> IAOC.
>
> Leslie,
>
> and Trust.  No one has suggested that.

I recognize that is not the intent, but I am suggesting that is what 
will happen in practice.  Especially since, at some point, an IAB or an 
IESG will decide it's politically correct to have a representative who 
is not currently serving as a member of the IESG or IAB.

 > What has been suggested

Well, speaking only for myself, I think if they were truly wise, they 
would not find themselves sitting in the chair seat ;-)

Rather than thinking the individuals are especially gifted, I believe 
they have more of the cross-breadth of information than any other 
committee member AND they wear the responsibility, like no other member 
does.

> incumbents have done at that.

I agree on all points -- and have said in other contexts that I think 
it's a significant challenge for the IETF that it is more or less held 
hostage to being able to find such superman every 2, 4 or 6 years. 
We've been darned fortunate so far.

But, as noted above, I don't think that's addressed by stripping away 
activities.  We need to find a better way to address sharing of 
responsibility.

  But I also think it is an
> to have the perspective you are asking for, it would be the Exec

Well, we disagree.  Not because I think Chairs are inherently more 
gifted, but because of the role.

Leslie.

--

---

From: Russ Housley <[email-masked]>
Date: Wed, 28 Sep 2011 11:24:49 -0400

> role - but more easily separable from the IESG Chair role.

This is not my experience.  There have been some decisions related to meetings where the IAOC and the IESG need to be in alignment.  The last two IAB Chairs have not been active ex-officio members of the IESG, and they have let the liaisons between the IAB and the IESG cover these responsibilities.  As a result, I have been the only IAOC member with insight into the IESG.  This has been importing in these matters.

Russ

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 29 Sep 2011 09:38:37 +1300

> This is not my experience.  There have been some decisions related to meetings where the IAOC and the IESG need to be in alignment.  The last two IAB Chairs have not been active ex-officio members…

Yes, there's no doubt that the IESG needs to have strong input
into IASA decisions; there is no way round that. But it isn't
clear to me that this must be the IESG Chair's job, if we had
a model where the IETF Chair and IESG Chair were two different
people. As long as it's one person, this is a zero-sum game.

  Brian

---

From: "John Levine" <[email-masked]>
Date: 29 Sep 2011 00:55:22 -0000

>Yes, there's no doubt that the IESG needs to have strong input into
>IASA decisions; there is no way round that. But it isn't clear to me
>that this must be the IESG Chair's job, if we had a model where the
>IETF Chair and IESG Chair were two different people. As long as it's
>one person, this is a zero-sum game.

It seems to me that the basic problem with this whole argument is that
you can't force people to pay attention by making rules, particularly
if the attention shortage is due to lack of time rather than lack of
interest.

I would rather have somebody show up at my meetings who has delegated
authority, enough time to pay attention and think about the issues,
and a good working relationship with the chair than insist that a
harried chair call in and mute his phone so everyone one else can't
hear that he's answering e-mail about all the other stuff he has to
do.

R's,
John

---

From: Doug Barton <[email-masked]>
Date: Wed, 28 Sep 2011 21:49:19 -0700

> hear that he's answering e-mail about all the other stuff he has to

Fortunately those are not the only 2 options. :)

I've followed this thread with interest, but haven't spoken up because I
was not sure what the right answer was. I'm still not, but ...

I am opposed to the current proposal. However I think that the symptoms
Olaf has described are worth serious consideration. So I am in favor of
what several people a lot smarter than me have already proposed, which
is taking a step back and seriously examining:

1. What the chairs are *required* to do,
2. What they currently are doing,
3. and whether changes to 1 and/or 2 are necessary.

Doug

-- 

	Nothin' ever doesn't change, but nothin' changes much.
			-- OK Go

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/